<?php include("header.php"); ?>
<div class="content">
<div class="introduction">
<h1>وردپرس نسخه 3,0+<span>مرجع توابع مورد استفاده در کد نویسی پوسته</span></h1>
</div>
<h2>توابع اطلاعات سایت</h2>
<h3 class="click">Blog Info<span>bloginfo();</span></h3>
<div class="dropdown">
<p class="description">با استفاده از این تابع می توانید مشخصات مختلف سایت خود را نمایش دهید که عموما از بخش تنظیمات همگانی قابل تنظیم هستند. این تابع می تواند در هرجایی (تمامی فایل های پوسته و یا افزونه) استفاده شود. همچنین این تابع به صورت خودکار نتایج را به نمایش می گذارد. اگر تنها مایل به فراخوانی نتایج هستید، از get_bloginfo استفاده کنید.</p>
<p class="code">&lt;?php&nbsp;bloginfo('show');&nbsp;?></p> 
<div class="parameter">
<h3>name</h3>
<h4>نوع: رشته</h4>
<p>عنوان سایت را نمایش می دهد که از تنظیمات > همگانی قابل تنظیم است.</p>
<hr />
</div>
<div class="parameter">
<h3>description</h3>
<h4>نوع: رشته</h4>
<p>معرفی کوتاه سایت را که از تنظیمات > همگانی قابل تنظیم است نمایش می دهد.</p>
<hr />
</div>
<div class="parameter">
<h3>admin_email</h3>
<h4>نوع: رشته</h4>
<p>نشانی ایمیل مدیر را که در بخش تنظیمات > همگانی تنظیم شده است را نمایش می دهد.</p>
<hr />
</div>
<div class="parameter">
<h3>url</h3>
<h4>نوع: رشته</h4>
<p>نشانی سایت را که در تنظیمات > همگانی تنظیم شده است نمایش می دهد.</p>
<hr />
</div>
<div class="parameter">
<h3>wpurl</h3>
<h4>نوع: رشته</h4>
<p>نشانی وردپرس که در تنظیمات > همگانی ثبت شده است را به نمایش می گذارد.</p>
<hr />
</div>
<div class="parameter">
<h3>stylesheet_directory</h3>
<h4>نوع: رشته</h4>
<p>نشانی پوشه ی پوسته ی فعلی را بر می گرداند.</p>
<hr />
</div>
<div class="parameter">
<h3>stylesheet_url</h3>
<h4>Type: String</h4>
<p>نشانی فایل سی اس اس اولیه (معمولا style.css نام دارد) پوسته فعال را نمایش می دهد.</p>
<hr />
</div>
<div class="parameter">
<h3>template_directory</h3>
<h4>نوع: رشته</h4>
<p>نشانی پوشه پوسته فعال را بر می گرداند. در پوسته های فرزند, هم <span dir="ltr">get_bloginfo("template_url")</span> و هم <span dir="ltr">get_template()</span> پوشه پوسته مادر را بر می گردانند.</p>
<hr />
</div>
<div class="parameter">
<h3>template_url</h3>
<h4>نوع: رشته</h4>
<p>نشانی پوشه پوسته فعال را بر می گرداند. در پوسته های فرزند, هم <span dir="ltr">get_bloginfo("template_url")</span> و هم <span dir="ltr">get_template()</span> پوشه پوسته مادر را بر می گردانند.</p>
<hr />
</div>
<div class="parameter">
<h3>atom_url</h3>
<h4>نوع: رشته</h4>
<p>نشانی فید اتم سایت را بر می گرداند.</p>
<hr />
</div>
<div class="parameter">
<h3>rss2_url</h3>
<h4>نوع: رشته</h4>
<p>نشانی فید آر اس اس 2,0 سایت را بر می گرداند.</p>
<hr />
</div>
<div class="parameter">
<h3>rss_url</h3>
<h4>نوع: رشته</h4>
<p>نشانی فید آر اس اس 0,92 سایت را بر می گرداند.</p>
<hr />
</div>
<div class="parameter">
<h3>pingback_url</h3>
<h4>نوع: رشته</h4>
<p>نشانی بازتاب ها را برای فایل XML-RPC بر می گرداند.</p>
<hr />
</div>
<div class="parameter">
<h3>rdf_url</h3>
<h4>نوع: رشته</h4>
<p>نشانی فید آر دی اف و یا آر اس اس 1,0 سایت را بر می گرداند.</p>
<hr />
</div>
<div class="parameter">
<h3>comments_atom_url</h3>
<h4>نوع: رشته</h4>
<p>نشانی فید اتم دیدگاه ها را بر می گرداند.</p>
<hr />
</div>
<div class="parameter">
<h3>comments_rss2_url</h3>
<h4>نوع: رشته</h4>
<p>نشانی فید آر اس اس 2,0 دیدگاه ها را بر می گرداند.</p>
<hr />
</div>
<div class="parameter">
<h3>charset</h3>
<h4>نوع: رشته</h4>
<p>نوع نویسه ی مطالب و فید های سایت را بر می گرداند که از تنظیمات > خواندن قابل تنظیم می باشد.</p>
<hr />
</div>
<div class="parameter">
<h3>html_type</h3>
<h4>نوع: رشته</h4>
<p>نوع محتوای صفحات HTML وردپرس را (پیش فرض: text/html) بر می گرداند؛ که در رکورد html_type record در جدول wp_options ثبت شده است. پوسته ها و افزونه ها می توانند این مقدار را با استفاده از فیلتر pre_option_html_type باز نویسی کنند.</p>
<hr />
</div>
<div class="parameter">
<h3>language</h3>
<h4>نوع: رشته</h4>
<p>زبان انتخاب شده را بر می گرداند.</p>
<hr />
</div>
<div class="parameter">
<h3>text_direction</h3>
<h4>نوع: رشته</h4>
<p>جهت بندی انتخاب شده برای متون را بر می گرداند.</p>
<hr />
</div>
<div class="parameter">
<h3>version</h3>
<h4>نوع: رشته</h4>
<p>نسخه وردپرس در حال استفاده در سایت شما را بر می گرداند.</p>
</div>
</div>
<h3 class="click">Blog Info RSS<span>bloginfo_rss();</span></h3>
<div class="dropdown">
<p class="description">خروجی تابع bloginfo را به صورت آر اس اس قالب بندی می کند و می توانید تمامی دستورات get_bloginfo را در این تابع نیز استفاده کنید.</p>
<p class="code">&lt;?php&nbsp;bloginfo_rss($show);&nbsp;?></p>
<div class="parameter">
<h3>$show</h3>
<h4>نوع: رشته</h4>
<p>(اختیاری) برای دیدن مقادیر قابل قبول، راهنمای تابع <span dir="ltr">get_bloginfo()</span> را ببینید.</p>
</div>
</div>
<h3 class="click">Get Blog Info<span>get_bloginfo();</span></h3>
<div class="dropdown">
<p class="description">تابع get_bloginfo() اطلاعات سایت را بر می گرداند به طوری که می توانید از آن در کدهای PHP خود (مثلا برای ذخیره در یک متغیر و استفاده های بعدی) استفاده کنید. البته این تابع می تواند همانند <span dir="ltr">bloginfo()</span> اطلاعات سایت را به نمایش نیز بگذارد.</p>
<p class="code">&lt;?php&nbsp;get_bloginfo($show)&nbsp;?></p> 
<div class="parameter">
<h3>$show</h3>
<h4>نوع: رشته</h4>
<p>(اختیاری) کلمه کلیدی اطلاعات مورد نظر شما. مقدار پیش فرض: name.</p>
<p>اگر این پارامتر را حذف کنید، تابع به صورت پیش فرض عنوان سایت را بر خواهد گرداند.</p>
<hr />
</div>
<div class="parameter">
<h3>name</h3>
<h4>نوع: رشته</h4>
<p>عنوان سایت را بر می گرداند که از تنظیمات > همگانی قابل تنظیم است.</p>
<hr />
</div>
<div class="parameter">
<h3>description</h3>
<h4>نوع: رشته</h4>
<p>معرفی کوتاه سایت را که از تنظیمات > همگانی قابل تنظیم است بر می گرداند.</p>
<hr />
</div>
	<div class="parameter">
<h3>url</h3>
<h4>نوع: رشته</h4>
<p>نشانی سایت را که در تنظیمات > همگانی تنظیم شده است بر می گرداند.</p>
<hr />
</div>
<div class="parameter">
<h3>wpurl</h3>
<h4>نوع: رشته</h4>
<p>نشانی وردپرس که در تنظیمات > همگانی ثبت شده است را بر می گرداند.</p>
<hr />
</div>
<div class="parameter">
<h3>rdf_url</h3>
<h4>نوع: رشته</h4>
<p>نشانی فید آر دی اف و یا آر اس اس 1,0 سایت را بر می گرداند.</p>
<hr />
</div>
<div class="parameter">
<h3>rss_url</h3>
<h4>نوع: رشته</h4>
<p>نشانی فید آر اس اس 0,92 سایت را بر می گرداند.</p>
<hr />
</div>
<div class="parameter">
<h3>rss2_url</h3>
<h4>نوع: رشته</h4>
<p>نشانی فید آر اس اس 2,0 سایت را بر می گرداند.</p>
<hr />
</div>
<div class="parameter">
<h3>atom_url</h3>
<h4>نوع: رشته</h4>
<p>نشانی فید اتم سایت را بر می گرداند.</p>
<hr />
</div>
<div class="parameter">
<h3>comments_rss2_url</h3>
<h4>نوع: رشته</h4>
<p>نشانی فید آر اس اس 2,0 دیدگاه ها را بر می گرداند.</p>
<hr />
</div>
<div class="parameter">
<h3>pingback_url</h3>
<h4>نوع: رشته</h4>
<p>نشانی بازتاب ها را برای فایل XML-RPC بر می گرداند.</p>
<hr />
</div>
<div class="parameter">
<h3>stylesheet_url</h3>
<h4>Type: String</h4>
<p>نشانی فایل سی اس اس اولیه (معمولا style.css نام دارد) پوسته فعال را نمایش می دهد.</p>
<hr />
</div>
<div class="parameter">
<h3>template_directory</h3>
<h4>نوع: رشته</h4>
<p>نشانی پوشه پوسته فعال را بر می گرداند. در پوسته های فرزند, هم <span dir="ltr">get_bloginfo("template_url")</span> و هم <span dir="ltr">get_template()</span> پوشه پوسته مادر را بر می گردانند.</p>
<hr />
</div>
<div class="parameter">
<h3>template_url</h3>
<h4>نوع: رشته</h4>
<p>نشانی پوشه پوسته فعال را بر می گرداند. در پوسته های فرزند, هم <span dir="ltr">get_bloginfo("template_url")</span> و هم <span dir="ltr">get_template()</span> پوشه پوسته مادر را بر می گردانند.</p>
<hr />
</div>
<div class="parameter">
<h3>admin_email</h3>
<h4>نوع: رشته</h4>
<p>نشانی ایمیل مدیر را که در بخش تنظیمات > همگانی تنظیم شده است را نمایش می دهد.</p>
<hr />
</div>
<div class="parameter">
<h3>charset</h3>
<h4>نوع: رشته</h4>
<p>نوع نویسه ی مطالب و فید های سایت را بر می گرداند که از تنظیمات > خواندن قابل تنظیم می باشد.</p>
<hr />
</div>
<div class="parameter">
<h3>version</h3>
<h4>نوع: رشته</h4>
<p>نسخه وردپرس در حال استفاده در سایت شما را بر می گرداند.</p>
</div>
<div class="parameter">
<h3>html_type</h3>
<h4>نوع: رشته</h4>
<p>نوع محتوای صفحات HTML وردپرس را (پیش فرض: text/html) بر می گرداند؛ که در رکورد html_type record در جدول wp_options ثبت شده است. پوسته ها و افزونه ها می توانند این مقدار را با استفاده از فیلتر pre_option_html_type باز نویسی کنند.</p>
<hr />
</div>
</div>
<h3 class="click">Get Blog Info RSS<span>get_bloginfo_rss();</span></h3>
<div class="dropdown">
<p class="description">خروجی تابع bloginfo را به صورت آر اس اس قالب بندی می کند و می توانید تمامی دستورات  <span dir="ltr">get_bloginfo()</span>  را در این تابع نیز استفاده کنید.</p>
<p class="code">&lt;?php&nbsp;get_bloginfo_rss($show);&nbsp;?></p>
<div class="parameter">
<h3>$show</h3>
<h4>نوع: رشته</h4>
<p>جزئیات و اطلاعات سایت شما. مقادیر معتبر:</p>
<ul>
<li>'name' - عنوان سایت; در تنظیمات همگانی تنظیم شده است. (پیش فرض)</li>
<li>'description' - معرفی کوتاه سایت; در تنظیمات همگانی قابل تغییر است.</li>
<li>'url' - نشانی بلاگ سایت شما.</li>
<li>'rdf_url' - نشانی فید آر دی اف/آر اس اس 1,0.</li>
<li>'rss_url' - نشانی فید آر اس اس 0,92.</li>
<li>'rss2_url' - نشانی فید آر اس اس 2,0.</li>
<li>'atom_url' - نشانی فید اتم.</li>
<li>'comments_rss2_url' - نشانی فید آر اس اس 2,0 دیدگاه ها.</li>
<li>'pingback_url' - نشانی بازتاب (فایل XML-RPC).</li>
<li>'admin_email' - نشانی ایمیل مدیر؛ در تنظیمات همگانی قابل تغییر است.</li>
<li>'charset' - نوع نویسه ی مطالب و فید های سایت را بر می گرداند که از تنظیمات خواندن قابل تغییر است.</li>
<li>'version' - نسخه وردپرس سایت شما.</li>
</ul>
<p>مقادیر زیر از نسخه 1,5 به بعد وردپرس قابل استفاده هستند:</p>
<ul>
<li>'html_type' - نوع محتوای سایت شما.</li>
<li>'wpurl' - نشانی وردپرس نصب شده روی هاستتان.</li>
<li>'template_url' - نشانی پوسته مورد استفاده.</li>
<li>'template_directory' - نشانی پوشه پوسته مورد استفاده.</li>
<li>'stylesheet_url' - نشانی فایل CSS اصلی.</li>
<li>'stylesheet_directory' - نشانی پوشه پوسته.</li>
</ul>
</div>
</div>
</div>
<?php include("footer.php"); ?>
</body>
</html>