<?php include("header.php"); ?>
<div class="content">
<div class="introduction">
<h1>وردپرس نسخه 3,0+<span>مرجع توابع مورد استفاده در کد نویسی پوسته</span></h1>
</div>	
<h2>توابع دیدگاه ها</h2>
<h3 class="click">Cancel Comment Reply Link<span>cancel_comment_reply_link();</span></h3>
<div class="dropdown">
<p class="description">پیوندی را برای صرف نظر از پاسخگویی به یک دیدگاه (دیدگاه تودرتو) نمایش می دهد و فرم ارسال نظر را به موقعیت پیش فرض بر می گرداند</p>
<p class="code">&lt;?php&nbsp;cancel_comment_reply_link('text');&nbsp;?></p>
<div class="parameter">
<h3>text</h3>
<h4>نوع: رشته</h4>
<p>متن پیوند صرف نظر از پاسخگویی. اگر خالی باشد، مقدار پیش فرض (برای صرف‌نظر کردن از پاسخ‌گویی اینجا را کلیک کنید.) استفاده خواهد شد.</p>
</div>
</div>
<h3 class="click">Comment Author<span>comment_author();</span></h3>
<div class="dropdown">
<p class="description">نام نویسنده دیدگاه را نمایش می دهد؛ نامی که نویسنده دیدگاه هنگام ارسال دیدگاه وارد کرده است. اگر نامی وارد نشود و وارد کردن نام اجباری نباشد، "ناشناس" به عنوان نام نویسنده درج می گردد. برای اختیاری کردن وارد نمودن نام و نشانی ایمیل، می توانید به تنظیمات گفت و گوها مراجعه کنید.</p>
<p class="code">&lt;?php&nbsp;comment_author($comment_ID);&nbsp;?>&nbsp;</p>
<div class="parameter">
<h3>$comment_ID</h3>
<h4>نوع: عدد صحیح</h4>
<p>(اختیاری) آیدی دیدگاهی که مایل به نمایش نام نویسنده آن هستید. مقدار پیش فرض: 0 (دیدگاه فعلی).</p>
</div>
</div>
<h3 class="click">Comment Author Email<span>comment_author_email();</span></h3>
<div class="dropdown">
<p class="description">نشانی ایمیل نویسنده دیدگاه را نمایش می دهد (بدون پیوند). اگر در تنظیمات گفت و گوها " دیگر تنظیمات دیدگاه‌ها نویسنده‌‌ی دیدگاه باید نام و نشانی ایمیل خود را بنویسد" تیک خورده باشد، نویسنده دیدگاه باید ایمیل خود را وارد کند.</p>
<p class="code">&lt;?php&nbsp;comment_author_email($comment_ID);&nbsp;?>&nbsp;</p>
<div class="parameter">
<h3>$comment_ID</h3>
<h4>نوع: عدد صحیح</h4>
<p>(اختیاری) آیدی دیدگاهی که مایل به نمایش نشانی ایمیل نویسنده آن هستید. مقدار پیش فرض: 0 (دیدگاه فعلی).</p>
</div>
</div>
<h3 class="click">Comment Author Email Link<span>comment_author_email_link();</span></h3>
<div class="dropdown">
<p class="description">نشانی ایمیل نویسنده دیدگاه را با یک پیوند به صورت mailto نمایش می دهد. اگر در تنظیمات گفت و گوها " دیگر تنظیمات دیدگاه‌ها نویسنده‌‌ی دیدگاه باید نام و نشانی ایمیل خود را بنویسد" تیک خورده باشد، نویسنده دیدگاه باید ایمیل خود را وارد کند. این تابع باید درون حلقه استفاده شود. نکته: نمایش نشانی ایمیل نویسنده دیدگاه توصیه نمی شود زیرا می تواند مورد سوء استفاده قرا گیرد. برای دریافت کردن نشانی ایمیل، از تابع <span dir="ltr"> get_comment_author_email_link()</span> استفاده کنید.</p>
<p class="code">&lt;?php&nbsp;comment_author_email_link('linktext',&nbsp;'before',&nbsp;'after');&nbsp;?>&nbsp;</p>
<div class="parameter">
<h3>linktext</h3>
<h4>نوع: رشته</h4>
<p>متن پیوند به نشانی ایمیل نویسنده. مقدار پیش فرض نشانی ایمیل نویسنده است.</p>
<hr />
</div>
<div class="parameter">
<h3>before</h3>
<h4>نوع: رشته</h4>
<p>متن مورد نظر جهت نمایش پیش از پیوند. به صورت پیش فرض متنی نمایش داده نمی شود.</p>
<hr />
</div>
<div class="parameter">
<h3>after</h3>
<h4>نوع: رشته</h4>
<p>متن مورد نظر جهت نمایش پس از پیوند. به صورت پیش فرض متنی نمایش داده نمی شود.</p>
</div>
</div>
<h3 class="click">Comment Author IP<span>comment_author_IP();</span></h3>
<div class="dropdown">
<p class="description">نمایش نشانی آی پی نویسنده دیدگاه. این تابع باید درون حلقه وردپرس یا حلقه دیدگاه ها مورد استفاده قرار گیرد.</p>
<p class="code">&lt;?php&nbsp;comment_author_IP($comment_ID);&nbsp;?>&nbsp;</p>
<div class="parameter">
<h3>$comment_ID</h3>
<h4>نوع: رشته</h4>
<p>(اختیاری) آیدی دیدگاه مورد نظر جهت نمایش آی پی نویسنده. مقدار پیش فرض: خالی.</p>
</div>
</div>
<h3 class="click">Comment Author Link<span>comment_author_link();</span></h3>
<div class="dropdown">
<p class="description">پیوندی به صفحه نویسنده دیدگاه با متن نام نویسنده آن نمایش می دهد. برای فراخوانی نشانی از تابع <span dir="ltr">get_comment_author_link()</span> استفاده کنید.</p>
<p class="code">&lt;?php&nbsp;comment_author_link($comment_ID);&nbsp;?>&nbsp;</p>
<div class="parameter">
<h3>$comment_ID</h3>
<h4>نوع: عدد صحیح</h4>
<p>(اختیاری) آیدی دیدگاه مورد نظر جهت نمایش پیوند به صفحه نویسنده آن. مقدار پیش فرض: 0 (دیدگاه فعلی).</p>
</div>
</div>
<h3 class="click">Comment Author RSS<span>comment_author_rss();</span></h3>
<div class="dropdown">
<p class="description">نمایش نویسنده دیدگاه فعلی در فید آر اس اس.</p>
<p class="code">&lt;?php&nbsp;comment_author_rss();&nbsp;?>&nbsp;</p>
<div class="parameter">
<p>این تابع پارامتری ندارد.</p>
</div>
</div>
<h3 class="click">Comment Author URL<span>comment_author_url();</span></h3>
<div class="dropdown">
<p class="description">نشانی وبلاگ و یا وب سایت نویسنده دیدگاه را نمایش می دهد (بدون پیوند). اگر نویسنده دیدگاه نشانی وبلاگ یا وب سایت خود را وارد نکرده باشد، نشانی صفحه فعلی نمایش داده خواهد شد. در این صورت استفاده از تابع <span dir="ltr">get_comment_author_url()</span> یک رشته خالی برخواهد گرداند.</p>
<p class="code">&lt;?php&nbsp;comment_author_url($comment_ID);&nbsp;?>&nbsp;</p>
<div class="parameter">
<h3>$comment_ID</h3>
<h4>Type: Integer</h4>
<p>آیدی دیدگاه مورد نظر جهت نمایش پیوند به وب سایت و یا وبلاگ نویسنده آن. مقدار پیش فرض: 0 (دیدگاه فعلی).</p>
</div>
</div>
<h3 class="click">Comment Author URL Link<span>comment_author_url_link();</span></h3>
<div class="dropdown">
<p class="description">آدرس وب سایت نویسنده دیدگاه را نمایش می دهد. این تابع باید درون حلقه استفاده شود. برای فراخوانی مقدار، از تابع <span dir="ltr"> get_comment_author_url_link()</span> استفاده کنید.</p>
<p class="code">&lt;?php&nbsp;comment_author_url_link('linktext',&nbsp;'before',&nbsp;'after');&nbsp;?></p>
<div class="parameter">
<h3>linktext</h3>
<h4>نوع: رشته</h4>
<p>متن پیوند. مقدار پیش فرض آدرس وب سایت نویسنده دیدگاه است.</p>
<hr />
</div>
<div class="parameter">
<h3>before</h3>
<h4>نوع: رشته</h4>
<p>متن مورد نظر جهت نمایش پیش از پیوند. به صورت پیش فرض متنی وجو ندارد.</p>
<hr />
</div>
<div class="parameter">
<h3>after</h3>
<h4>نوع: رشته</h4>
<p>متن مورد نظر جهت نمایش پس از پیوند. به صورت پیش فرض متنی پس از آن نمایش داده نمی شود.</p>
</div>
</div>
<h3 class="click">Comment Date<span>comment_date();</span></h3>
<div class="dropdown">
<p class="description">تاریخ ارسال دیدگاه را نمایش می دهد. برای فراخوانی مقدار از تابع <span dir="ltr">get_comment_date()</span> استفاده کنید.</p>
<p class="code">&lt;?php&nbsp;comment_date('d',&nbsp;$comment_ID);&nbsp;?></p>
<div class="parameter">
<h3>d</h3>
<h4>نوع: رشته</h4>
<p>ساختار تاریخ</p>
<hr />
</div>
<div class="parameter">
<h3>$comment_ID</h3>
<h4>نوع: عدد صحیح</h4>
<p>(اختیاری) آیدی دیدگاه مورد نظر جهت نمایش تاریخش. مقدار پیش فرض: 0 (دیدگاه فعلی).</p>
</div>
</div>
<h3 class="click">Comment Excerpt<span>comment_excerpt();</span></h3>
<div class="dropdown">
<p class="description">چکیده دیدگاه (حداکثر 20 کلمه) را نمایش می دهد. از <span dir="ltr">get_comment_excerpt()</span> برای دریافت مقدار استفاده کنید.</p>
<p class="code">&lt;?php&nbsp;comment_excerpt($comment_ID);&nbsp;?></p>
<div class="parameter">
<h3>$comment_ID</h3>
<h4>نوع: عدد صحیح</h4>
<p>(اختیاری) آیدی دیدگاهی که چکیده اش باید نمایش داده شود. پیش فرض: 0 (دیدگاه فعلی).</p>
</div>
</div>
<h3 class="click">Comment Form Title<span>comment_form_title();</span></h3>
<div class="dropdown">
<p class="description">عنوان فرم ارسال دیدگاه. تنها موقعی تأثیر دارد که جاوااسکریپت کاربر غیرفعال باشد یا فایل comment-reply.js فراخوانی نشده باشد. این تابع معمولا زیر <span dir="ltr">&lt;div id="respond"></span> و قبل از فرم ارسال دیدگاه استفاده می شود.</p>
<p class="code">&lt;?php&nbsp;comment_form_title('noreplytext',&nbsp;'replytext',&nbsp;'linktoparent');&nbsp;?></p>
<div class="parameter">
<h3>noreplytext</h3>
<h4>نوع: رشته</h4>
<p>اختیاری. متن مورد نظر هنگامی که به دیدگاه خاصی پاسخ داده نمی شود. مقدار پیش فرض 'ارسال دیدگاه است'.</p>
<hr />
</div>
<div class="parameter">
<h3>replytext</h3>
<h4>نوع: رشته</h4>
<p>اختیاری. متن مورد نظر هنگامی که به یک دیدگاه پاسخ داده می شود. از "%s" برای برگرداندن نام نویسنده دیدگاه استفاده کنید. مقدار پیش فرض 'پاسخ دادن به %s' است.</p>
<hr />
</div>
<div class="parameter">
<h3>linktoparent</h3>
<h4>نوع: بولی</h4>
<p>اختیاری. انتخاب اینکه نام نویسنده دیدگاه به دیدگاهش پیوند شود یا نه. مقدار پیش فرض True.</p>
</div>
</div>
<h3 class="click">Comment Form<span>comment_form();</span></h3>
<div class="dropdown">
<p class="description">این تابع یک فرم کامل ارسال دیدگاه برای استفاده در قالب ارائه می دهد. اکثر متن ها و فیلدها با استفاده از پارامترهای این تابع قابل کنترل هستند. همچنین می توانید از فیلتر <span dir="ltr"> comment_form_default_fields</span> استفاده کنید تا فیلدهای دلخواه خود را اضافه یا حذف نمایید. تمامی فیلدها توسط یک فیلتر فرم <span dir="ltr"> comments_form_field_$name</span> ارسال می شوند که <span dir="ltr">$name</span> نام استفاده شده در آرایه فیلدهاست.</p>
<p class="code">&lt;?php&nbsp;comment_form($args,&nbsp;$post_id);&nbsp;?></p>
<div class="parameter">
<h3>$args</h3>
<h4>نوع: آرایه</h4>
<p>اختیاری. تنظیماتی برای رشته ها و فیلدهای فرم. مقادیر پیش فرض:</p>
<table dir="ltr">
<tr>
<td>&lt;?php $args = array(</td>
</tr>
<tr>
<td>'fields'</td>
<td>=></td>
<td>apply_filters( 'comment_form_default_fields', $fields ),</td>
</tr>
<tr>
<td>'comment_field'</td>
<td>=></td>
<td>'&lt;p class="comment-form-comment">&lt;label for="comment">' . _x( 'Comment', 'noun' ) . '&lt;/label>&lt;textarea id="comment" name="comment" cols="45" rows="8" aria-required="true">&lt;/textarea>&lt;/p>',</td>
</tr>
<tr>
<td>'must_log_in'</td>
<td>=></td>
<td>'&lt;p class="must-log-in">' .  sprintf( __( 'You must be &lt;a href="%s">logged in&lt;/a> to post a comment.' ), wp_login_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '&lt;/p>',</td>
</tr>
<tr>
<td>'logged_in_as'</td>
<td>=></td>
<td>'&lt;p class="logged-in-as">' . sprintf( __( 'Logged in as &lt;a href="%1$s">%2$s&lt;/a>. &lt;a href="%3$s" title="Log out of this account">Log out?&lt;/a>' ), admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '&lt;/p>',</td>
</tr>
<tr>
<td>'comment_notes_before'</td>
<td>=></td>
<td>'&lt;p class="comment-notes">' . __( 'Your email address will not be published.' ) . ( $req ? $required_text : '' ) . '&lt;/p>',</td>
</tr>
<tr>
<td>'comment_notes_after'</td>
<td>=></td>
<td>'&lt;p class="form-allowed-tags">' . sprintf( __( 'You may use these &lt;abbr title="HyperText Markup Language">HTML&lt;/abbr> tags and attributes: %s' ), ' &lt;code>' . allowed_tags() . '&lt;/code>' ) . '&lt;/p>',</td>
</tr>
<tr>
<td>'id_form'</td>
<td>=></td>
<td>'commentform',</td>
</tr>
<tr>
<td>'id_submit'</td>
<td>=></td>
<td>'submit',</td>
</tr>
<tr>
<td>'title_reply'</td>
<td>=></td>
<td>__( 'Leave a Reply' ),</td>
</tr>
<tr>
<td>'title_reply_to'</td>
<td>=></td>
<td>__( 'Leave a Reply to %s' ),</td>
</tr>
<tr>
<td>'cancel_reply_link'</td>
<td>=></td>
<td>__( 'Cancel reply' ),</td>
</tr>
<tr>
<td>'label_submit'</td>
<td>=></td>
<td>__( 'Post Comment' ),</td>
</tr>
<tr>
<td>);</td>
</tr>
<tr>
<td>?></td>
</tr>
</table>
<hr />
</div>
<div class="parameter">
<h3>$post_id</h3>
<h4>نوع: Mixed</h4>
<p>(اختیاری) آیدی نوشته مورد نظر جهت ساختن فرم دیدگاه برای آن، در صورت عدم استفاده، برای نوشته فعلی ایجاد می شود. پیش فرض: Null (نوشته فعلی).</p>
</div>
</div>
<h3 class="click">Comment Date<span>comment_date();</span></h3>
<div class="dropdown">
<p class="description">آیدی عددی دیدگاه فعلی را نمایش می دهد. این تابع باید درون حلقه یا حلقه دیدگاه ها استفاده گردد. برای دریافت مقدار از get_comment_ID استفاده کنید.</p>
<p class="code">&lt;?php&nbsp;comment_ID();&nbsp;?></p>
<div class="parameter">
<p>این تابع پارامتری ندارد.</p>
</div>
</div>
<h3 class="click">Comment ID Fields<span>comment_id_fields();</span></h3>
<div class="dropdown">
<p class="description">دو ورودی مخفی برای فرم ارسال دیدگاه ایجاد می کند تا identify the comment_post_ID و comment_parent برای دیدگاه های تودرتو را شناسایی کند. این تابع باید درون قسمت <span dir="ltr">&lt;form></span> فایل comments.php استفاده شود.</p>
<p class="code">&lt;?php&nbsp;comment_id_fields();&nbsp;?></p>
<div class="parameter">
<p>این تابع پارامتری ندارد.</p>
</div>
</div>
<h3 class="click">Comment Reply Link<span>comment_reply_link();</span></h3>
<div class="dropdown">
<p class="description">نمایش پیوند برای فراهم کردن قابلیت پاسخ دادن به هر دیدگاه. اگر جاوااسکریپت فعال باشد و فایل comment-reply.js نیز فراخوانی شده باشد با کلیک کردن روی پیوند، فرم ارسال دیدگاه به زیر دیدگاه مورد نظر منتقل می شود.</p>
<p class="code">&lt;?php&nbsp;comment_reply_link($args,&nbsp;$comment,&nbsp;$post);&nbsp;?></p>
<div class="parameter">
<h3>$args</h3>
<h4>نوع: آرایه</h4>
<p>(اختیاری) آرایه ی تنظیمات. پایین را ببینید.</p>
<hr />
</div>
<div class="parameter">
<h3>$comment</h3>
<h4>نوع: عدد صحیح</h4>
<p>(اختیاری) آیدی دیدگاهی که به آن پاسخ داده می شود. پیش فرض: Null.</p>
<hr />
</div>
<div class="parameter">
<h3>$post</h3>
<h4>نوع: عدد صحیح</h4>
<p>(اختیاری) آیدی نوشته ای که دیدگاه برای آن ارسال می شود.</p>
<hr />
</div>
<div class="parameter">
<p>آرگومان های $args:</p>
</div>
<div class="parameter">
<h3>add_below</h3>
<h4>نوع: رشته</h4>
<p>برای تابع جاوای moveAddCommentForm(). پیش فرض 'post' است.</p>
<hr />
</div>
<div class="parameter">
<h3>respont_id</h3>
<h4>نوع: عدد صحیح</h4>
<p>برای تابع جاوای moveAddCommentForm(). پیش فرض 'respond' است.</p>
<hr />
</div>
<div class="parameter">
<h3>reply_text</h3>
<h4>نوع: رشته</h4>
<p>تنها درصورتی که قابلیت ارسال دیدگاه وجود داشته باشد استفاده می شود. پیش فرض 'پاسخ'.</p>
<hr />
</div>
<div class="parameter">
<h3>login_text</h3>
<h4>نوع: رشته</h4>
<p>تنها در صورتی استفاده می شود که کاربر برای ارسال دیدگاه نیاز به وارد شدن داشته باشد. پیش فرض 'ببخشید برای ارسال دیدگاه باید وارد شوید' است.</p>
<hr />
</div>
<div class="parameter">
<h3>depth</h3>
<h4>نوع: عدد صحیح</h4>
</div>
</div>
<h3 class="click">Comment Text<span>comment_text();</span></h3>
<div class="dropdown">
<p class="description">نمایش متن یک دیدگاه. برای دریافت متن دیدگاه، از تابع <span dir="ltr">get_comment_text</span> استفاده نمایید.</p>
<p class="code">&lt;?php&nbsp;comment_text($comment_ID);&nbsp;?></p>
<div class="parameter">
<h3>$comment_ID</h3>
<h4>عدد صحیح</h4>
<p>(اختیاری) آیدی دیدگاهی که متنش باید نمایش یابد. پیش فرض: 0 (دیدگاه فعلی).</p>
</div>
</div>  
<h3 class="click">Comment Text RSS<span>comment_text_rss();</span></h3>
<div class="dropdown">
<p class="description">محتوای دیدگاه فعلی را برای استفاده در فیدها نمایش می دهد.</p>
<p class="code">&lt;?php&nbsp;comment_text_rss();&nbsp;?></p>
<div class="parameter">
<p>این تابع پارامتری ندارد.</p>
</div>
</div>
<h3 class="click">Comment Time<span>comment_time();</span></h3>
<div class="dropdown">
<p class="description">زمان ارسال دیدگاه را نمایش می دهد. این تابع باید درون حلقه استفاده شود.</p>
<p class="code">&lt;?php&nbsp;comment_time(d);&nbsp;?></p>
<div class="parameter">
<h3>d</h3>
<h4>رشته</h4>
<p>قالب بندی زمان. به صورت پیش فرض ساختار تنظیم شده در وردپرس می باشد.</p>
</div>
</div>
<h3 class="click">Comment Type<span>comment_type();</span></h3>
<div class="dropdown">
<p class="description">نوع دیدگاه را نمایش می دهد (دیدگاه معمولی، بازتاب یا بازخوان). این تابع باید درون حلقه یا حلقه دیدگاه ها استفاده شود. از <span dir="ltr">get_comment_type</span> برای دریافت مقدار استفاده کنید.</p>
<p class="code">&lt;?php&nbsp;comment_type('comment',&nbsp;'trackback',&nbsp;'pingback');&nbsp;?></p>
<div class="parameter">
<h3>comment</h3>
<h4>رشته</h4>
<p>متن توصیف کننده دیدگاه. پیش فرض 'دیدگاه' است.</p>
<hr />
</div>
<div class="parameter">
<h3>trackback</h3>
<h4>رشته</h4>
<p>توصیف کننده نوع بازتاب. پیش فرض 'Trackback' است.</p>
<hr />
</div>
<div class="parameter">
<h3>pingback</h3>
<h4>رشته</h4>
<p>نوع بازخوان. پیش فرض 'Pingback' است.</p>
</div>
</div>
<h3 class="click">Comments Link<span>comments_link();</span></h3>
<div class="dropdown">
<p class="description">این تابع آدرس دیدگاه های نوشته فعلی را نمایش می دهد. این تابع باید درون حلقه یا حلقه دیدگاه ها استفاده شود. از get_comments_link برای دریافت آدرس استفاده کنید.</p>
<p class="code">&lt;?php&nbsp;comments_link();&nbsp;?></p>
<div class="parameter">
<p>این تابع پارامتری ندارد.</p>
</div>
</div>
<h3 class="click">Comments Number<span>comments_number();</span></h3>
<div class="dropdown">
<p class="description">تعداد کل دیدگاه ها را شامل دیدگاه های عادی، بازتاب ها و بازخوان های نوشته فعلی زا نمایش می دهد. این تابع باید درون حلقه وردپرس مورد استفاده قرار گیرد. از get_comments_number برای دریافت مقدار استفاده کنید.</p>
<p class="code">&lt;?php&nbsp;comments_number('zero',&nbsp;'one',&nbsp;'more');&nbsp;?></p>
<div class="parameter">
<h3>zero</h3>
<h4>رشته</h4>
<p>متن نمایش یافته هنگامی که دیدگاهی وجود ندارد. مقدار پیش فرض 'بدون دیدگاه' است.</p>
<hr />
</div>
<div class="parameter">
<h3>one</h3>
<h4>رشته</h4>
<p>متن نمایش یافته زمانی که یک دیدگاه وجود دارد. مقدار پیش فرض: 'یک دیدگاه'.</p>
<hr />
</div>
<div class="parameter">
<h3>more</h3>
<h4>رشته</h4>
<p>متن نمایش یافته زمانی که بیش از یک دیدگاه وجود دارد. تعداد دیدگاه ها با % جایگزین خواهد شد. مثلا اگر 5 دیدگاه وجود داشته باشد، حاصل '% دیدگاه' برابر '5 دیدگاه' خواهد بود. مقدار پیش فرض '% دیدگاه'.</p>
</div>
</div>
<h3 class="click">Comments Popup Link<span>comments_popup_link();</span></h3>
<div class="dropdown">
<p class="description">یک لینک جهت نمایش دیدگاه ها به صورت پاپ آپ به نمایش می گذارد (در صورتی که comments_popup_script فراخوانی شده باشد). در غیر این صورت لینکی عادی به دیدگاه ها نمایش داده می شود. این تابع باید درون حلقه دیدگاه ها یا حلقه اصلی وردپرس مورد استفاده قرار گیرد. همچنین این تابع در صفحات برگه ها و نوشته ها کاری انجام نمی دهد.</p>
<p class="code">&lt;?php&nbsp;comments_popup_link('zero',&nbsp;'one',&nbsp;'more',&nbsp;'CSSclass',&nbsp;'none');&nbsp;?></p>
<div class="parameter">
<h3>zero</h3>
<h4>رشته</h4>
<p>متنی که هنگامی که دیدگاهی وجود ندارد نمایش داده می شود. متن پیش فرض 'بدون دیدگاه'.</p>
<hr />
</div>
<div class="parameter">
<h3>one</h3>
<h4>رشته</h4>
<p>متن نمایش یافته زمانی که یک دیدگاه وجود دارد. مقدار پیش فرض 'یک دیدگاه'.</p>
<hr /> 
</div>
<div class="parameter">
<h3>more</h3>
<h4>رشته</h4>
<p>متن نمایش یافته زمانی که بیش از یک دیدگاه وجود دارد. پیش فرض '% دیدگاه'.</p>
<hr />
</div>
<div class="parameter">
<h3>CSSclass</h3>
<h4>رشته</h4>
<p>کلاسی که به پیوند نسبت داده می شود. به صورت پیش فرض مقداری ندارد.</p>
<hr />
</div>
<div class="parameter">
<h3>none</h3>
<h4>رشته</h4>
<p>متن نمایش یافته زمانی که دیدگاه ها غیر فعال هستند.</p>
</div>
</div>
<h3 class="click">Comments Popup Script<span>comments_popup_script();</span></h3>
<div class="dropdown">
<p class="description">کد جاوااسکریپ لازم برای پاپ آپ دیدگاه ها را بر می گرداند. این تابع معمولا در تگ <span dir="ltr">&lt;head></span> استفاده می گردد</p>
<p class="code">&lt;?php&nbsp;comments_popup_script(width,&nbsp;height,&nbsp;'file');&nbsp;?></p>
<div class="parameter">
<h3>width</h3>
<h4>عدد صحیح</h4>
<p>(اختیاری) عرض پنجره پاپ آپ.</p>
<hr />
</div>
<div class="parameter">
<h3>height</h3>
<h4>عدد صحیح</h4>
<p>(اختیاری) ارتفاع پنجره پاپ آپ.</p>
<hr />
</div>
<div class="parameter">
<h3>file</h3>
<h4>رشته</h4>
<p>(اختیاری) مکان پنجره پاپ آپ را تنظیم می کند.</p>
</div>
</div>
<h3 class="click">Get Avatar <span>get_avatar();</span></h3>
<div class="dropdown">
<p class="description">نمایش آواتار کاربر با دریافت آیدی و یا آدرس ایمیل او. معمولا در بخش دیدگاه ها مورد استفاده قرار می گیرد.</p>
<p class="code">&lt;?php&nbsp;echo&nbsp;get_avatar($id_or_email,&nbsp;$size,&nbsp;$default,&nbsp;$alt);&nbsp;?></p>
<div class="parameter">
<h3>$id_or_email</h3>
<h4>عدد صحیح</h4>
<p>(ضروری) آیدی نویسنده و یا آدرس ایمیل او. در اکثر قالب های دیدگاه می توانید از <span dir="ltr">$comment</span> در اینجا استفاده کنید. در دیگر قالب ها، از <span dir="ltr"> get_the_author_meta('user_email')</span> استفاده کنید.</p>
<hr />
</div>
<div class="parameter">
<h3>$size</h3>
<h4>عدد صحیح</h4>
<p>(اختیاری) اندازه آواتار جهت نمایش (حد اکثر 512). پیش فرض: 96.</p>
<hr />
</div>
<div class="parameter">
<h3>$default</h3>
<h4>رشته</h4>
<p>(اختیاری) آدرس عکس. مقدار پیش فرض: خالی.</p>
<hr />
</div>
<div class="parameter">
<h3>$alt</h3>
<h4>رشته</h4>
<p>(اختیاری) نوشته جایگزین عکس. پیش فرض: خالی.</p>
</div>
</div>
<h3 class="click">Next Comments Link<span>next_comments_link();</span></h3>
<div class="dropdown">
<p class="description">Display link to the next comments pages.</p>
<p class="code">&lt;?php&nbsp;next_comments_link($label,&nbsp;$max_page);&nbsp;?></p>
<div class="parameter">
<h3>$label</h3>
<h4>String</h4>
<p>Label for link text. Default: ''.</p>
<hr />
</div>
<div class="parameter">
<h3>$max_page</h3>
<h4>Integer</h4>
<p>(Optional) Max page. Default: 0.</p>
</div>
</div>
<h3 class="click">Paginate Comments Link<span>next_comments_link();</span></h3>
<div class="dropdown">
<p class="description">Create pagination links for the comments on the current post. Basically this is a macro to paginate_links() which sets the functional options of paginate_links() to make it work for comments. But you may use all the parameters of paginate_links() to style the output of paginate_comments_links().</p>
<p class="code">&lt;?php&nbsp;paginate_comments_link($args);&nbsp;?></p>
<div class="parameter">
<h3>$args</h3>
<h4>String | Array</h4>
<p>(Optional). Optional arguments. See paginate_links(). Defaults:</p>
<table>
<tr>
<td>&lt;?php $args = array(</td>
</tr>
<tr>
<td>'base'</td>
<td>=></td>
<td>add_query_arg( 'cpage', '%#%' ),</td>
</tr>
<tr>
<td>'format'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'total'</td>
<td>=></td>
<td>$max_page,</td>
</tr>
<tr>
<td>'current'</td>
<td>=></td>
<td>$page,</td>
</tr>
<tr>
<td>'echo'</td>
<td>=></td>
<td>true,</td>
</tr>
<tr>
<td>'add_fragment'</td>
<td>=></td>
<td>'#comments'</td>
</tr>
<tr>
<td>);</td>
</tr>
<tr>
<td>?></td>
</tr>
</table>
<p>These arguments are mostly to make the call of paginate_links() work, so be careful if you change them.</p>
</div>
</div>
<h3 class="click">Peramlink Comments RSS<span>permalink_comments_rss();</span></h3>
<div class="dropdown">
<p class="description">Displays the permalink to the post to which a comment belongs, formatted for RSS. Typically used in the RSS comment feed template. This tag must be within The Loop, or a comment loop.</p>
<p class="code">&lt;?php&nbsp;permalink_comments_rss();&nbsp;?></p>
<div class="parameter">
<p>No parameters.</p>
</div>
</div>
<h3 class="click">Previous Comments Link<span>previous_comments_link();</span></h3>
<div class="dropdown">
<p class="description">Display the previous comments page link.</p>
<p class="code">&lt;?php&nbsp;previous_comments_link();&nbsp;?></p>
<div class="parameter">
<h3>$label</h3>
<h4>String</h4>
<p>(Optional) Label for comments link text.</p>
</div>
</div>

<h3 class="click">WP List Comments<span>wp_list_comments();</span></h3>
<div class="dropdown">
<p class="description">Displays all comments for a post or Page based on a variety of parameters including ones set in the administration area.</p>
<p class="code">&lt;?php&nbsp;wp_list_comments($args);&nbsp;?></p>
<div class="parameter">
<h3>$args</h3>
<h4>Array</h4>
<p>(Optional) Label for comments link text.</p>
<table>
<tr>
<td>&lt;?php $args = array(</td>
</tr>
<tr>
<td>'walker'</td>
<td>=></td>
<td>null,</td>
</tr>
<tr>
<td>'max_depth'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'style'</td>
<td>=></td>
<td>'ul',</td>
</tr>
<tr>
<td>'callback'</td>
<td>=></td>
<td>null,</td>
</tr>
<tr>
<td>'end-callback'</td>
<td>=></td>
<td>null,</td>
</tr>
<tr>
<td>'type'</td>
<td>=></td>
<td>'all',</td>
</tr>
<tr>
<td>'page'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'per_page'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'avatar_size'</td>
<td>=></td>
<td>32</td>
</tr>
<tr>
<td>'reverse_top_level'</td>
<td>=></td>
<td>null,</td>
</tr>
<tr>
<td>'reverse_children'</td>
<td>=></td>
</tr> 
<tr>
<td>);</td>
</tr>
<tr>
<td>?></td>
</tr>
</table>
<hr />
</div>
<div class="parameter">
<h3>avatar_size</h3>
<h4>Integer</h4>
<p>Size that the avatar should be shown as, in pixels. Default: 32. http://gravatar.com/ supports sizes between 1 and 512.</p>
<hr />
</div>
<div class="parameter">
<h3>style</h3>
<h4>String</h4>
<p>Can be either 'div', 'ol', or 'ul', to display comments using divs, ordered, or unordered lists. Defaults to 'ul'. Note that there are containing tags that must be written explicitly such as
&lt;div class="commentlist">&lt;?php wp_list_comments(array('style' => 'div')); ?>&lt;/div>
or
&lt;ol class="commentlist">&lt;?php wp_list_comments(array('style' => 'ol')); ?>&lt;/ol></p>
<hr />
</div>
<div class="parameter">
<h3>type</h3>
<h4>String</h4>
<p>The type of comment(s) to display. Can be 'all', 'comment', 'trackback', 'pingback', or 'pings'. 'pings' is 'trackback' and 'pingback' together. Default is 'all'.</p>
<hr />
</div>
<div class="parameter">
<h3>reply_text</h3>
<h4>String</h4>
<p>Text to display in each comment as a reply link. (This isn't an argument of this function but it gets passed to the get_comment_reply_link function.) Default is 'Reply'.</p>
<hr />
</div>
<div class="parameter">
<h3>login_text</h3>
<h4>String</h4>
<p>Text to display in each comment if users must be registered and logged in to comment . (This isn't an argument of this function but it gets passed to the get_comment_reply_link function.) Default is 'Log in to Reply'.</p>
<hr />
</div>
<div class="parameter">
<h3>login_text</h3>
<h4>String</h4>
<p>Text to display in each comment if users must be registered and logged in to comment . (This isn't an argument of this function but it gets passed to the get_comment_reply_link function.) Default is 'Log in to Reply'.</p>
<hr />
</div>
<div class="parameter">
<h3>callback</h3>
<h4>String</h4>
<p>The name of a custom function to use to display each comment. Defaults to null. Using this will make your custom function get called to display each comment, bypassing all internal WordPress functionality in this respect. Use to customize comments display for extreme changes to the HTML layout. Use with caution.</p>
<hr />
</div>
<div class="parameter">
<h3>reverse_top_level</h3>
<h4>Boolean</h4>
<p>Setting this to true will display the most recent comment first then going back in order.</p>
<hr />
</div>
<div class="parameter">
<h3>reverse_children</h3>
<h4>Boolean</h4>
<p>Setting this to true will display the children (reply level comments) with the most recent ones first, then going back in order.</p>
</div>
</div>
</div>
</div>
</div>
<?php include("footer.php"); ?>
</body>
</html>