<?php include("header.php"); ?>
<div class="content">
<div class="introduction">
<h1>وردپرس نسخه 3,0+<span>مرجع توابع مورد استفاده در کد نویسی پوسته</span></h1>
</div>	
<h2>توابع تاریخ و زمان</h2>
<h3 class="click">Get Calendar<span>get_calendar();</span></h3>
<div class="dropdown">
<p class="description">تقویم را نمایش می دهد. به صورت پیش فرض ماه فعلی از سال فعلی نمایش می یابد. روزهایی که در آن ها نوشته ارسال شده اس نیز مشخص هستند. این تابع می تواند در هرجای پوسته استفاده شود.</p>
<p class="code">&lt;?php&nbsp;get_calendar($initial);&nbsp;?></p>
<div class="parameter">
<h3>$initial</h3>
<h4>بولی</h4>
<p>(اختیاری) اگر true باشد، نام روز به صورت یک حرفی نمایش داده خواهد شد و اگر false باشد نام به صورت مخفف چند حرفی نمایش داده می شود. مثلا اگر false باشد "یکشنبه" به صورت "یک" و اگر true باشد "یکشنبه" به صورت "ی" نمایش داده می شود.</p>
</div>
</div>
<h3 class="click">Get the Date<span>get_the_date();</span></h3>
<div class="dropdown">
<p class="description">تابع <span dir="ltr">get_the_date()</span> تاریخ ارسال نوشته فعلی را برمی گرداند. بر خلاف تابع <span dir="ltr"> the_date()</span> این تابع همیشه تاریخ را بر می گرداند. می توانید خروجی را با فیلتر 'get_the_date' تغییر دهید.</p>
<p class="code">&lt;?php&nbsp;get_the_date($d);&nbsp;?></p>
<div class="parameter">
<h3>$d</h3>
<h4>رشته</h4>
<p>(اختیاری) ساختار تاریخ PHP. مقدار پیش فرض: ساختار انتخاب شده در تنظیمات همگانی.</p>
</div>
</div>
<h3 class="click">Single Month Title<span>single_month_title();</span></h3>
<div class="dropdown">
<p class="description">عنوان ماه و سال فعلی را نمایش می دهد یا برمی گرداند. این تابع تنها زمانی کار می کند که m یا آرگومان archive month توسط وردپرس به صفحه فعلی ارسال شده باشد (این عمل هنگام دیدن صفحات بایگانی ماهانه اتفاق می افتد). نکته: این تابع تنها در صفحات بایگانی بر اساس تاریخ کار می کنند و نه صفحه های دسته و... از افزودن جداکننده بعد از عنوان پشتیبانی نمی کند اما با خالی گذاشتن آرگومان prefix می توانید جداکننده عنوان را به طور مستقیم تعریف کنید. prefix به طور خودکار فضای خالی ای بعد از پیشوند نمی گذارد. بنابرین اگر قرار است فاصله ای قرار گیرد، باید آن را در انتهای پارامتر وارد کنید.</p>
<p class="code">&lt;?php&nbsp;single_month_title($prefix,&nbsp;$display);&nbsp;?></p>
<div class="parameter">
<h3>$prefix</h3>
<h4>رشته</h4>
<p>(اختیاری) متن مورد نظر جهت قراردادن پیش از عنوان.</p>
<hr />
</div>
<div class="parameter">
<h3>$display</h3>
<h4>بولی</h4>
<p>(اختیاری) نمایش عنوان (در حالت True) یا برگرداندن عنوان برای استفاده در کدهای PHP در حالت False. مقدار پیش فرض: True.</p>
<hr />
</div>
</div>
<h3 class="click">The Date<span>the_date();</span></h3>
<div class="dropdown">
<p class="description">تاریخ یک نوشته یا گروهی از نوشته ها که در یک روز نوشته شده باشند را نمایش می دهد یا برمی گرداند. نکته مهم: وقتی در یک صفحه نوشته هایی وجودداشته باشند که در یک روز منتشر شده باشند، تابع <span dir="ltr">the_date()</span> تنها تاریخ اولین نوشته  را نشان می دهد. برای تکرار نمایش تاریخ برای دیگر نوشته ها باید از تابع <span dir="ltr">the_time()</span> یا <span dir="ltr">get_the_date()</span> (نسخه 3 و بالاتر) به همراه یک ساختار تاریخ معین استفاده کنید. از <span dir="ltr"> &lt;?php the_time(get_option('date_format')); ?></span> برای اضافه کردن تنظیم تاریخ در بخش مدیریت استفاده کنید. اگر مشکلی وجود داشت، علامت های نقل قول احاطه کننده ی date_format را پاک کنید شاید برطرف شود. ظاهرا هر دو تابع کار می کنند. تابع باید درون حلقه مورد استفاده قرار گیرد.</p>
<p class="code">&lt;?php&nbsp;the_date($format,&nbsp;$before,&nbsp;$after,&nbsp;$echo);&nbsp;?></p>
<div class="parameter">
<h3>$format</h3>
<h4>رشته</h4>
<p>(اختیاری) ساختار تاریخ. به صورت پیش فرض ساختار پیش فرض وردپرس شما می باشد. مقدار پیش فرض: F j, Y.</p>
<hr />
</div>
<div class="parameter">
<h3>$before</h3>
<h4>رشته</h4>
<p>(اختیاری) متن مورد نظر جهت قراردادن پیش از عنوان.</p>
<hr />
</div>
<div class="parameter">
<h3>$after</h3>
<h4>رشته</h4>
<p>(اختیاری) متن مورد نظر جهت قراردادن پس از عنوان.</p>
<hr />
</div>
<div class="parameter">
<h3>$echo</h3>
<h4>بولی</h4>
<p>(اختیاری) نمایش تاریخ (True)، یا برگرداندن آن جهت استفاده در کد های پی اچ پی (False). مقدار پیش فرض: True.</p>
</div>
</div>
<h3 class="click">The Date XML<span>the_date_xml();</span></h3>
<div class="dropdown">
<p class="description">تاریخ نوشته را طبق ساختار YYYY-MM-DD نمایش می دهد (مثال: 1389-09-26). این تابع باید درون حلقه استفاده شود.</p>
<p class="code">&lt;?php&nbsp;the_date_xml();&nbsp;?></p>
<div class="parameter">
<p>این تابع پارامتری ندارد.</p>
</div>
</div>
<h3 class="click">The Modified Author<span>the_modified_author();</span></h3>
<div class="dropdown">
<p class="description">با استفاده از این تابع می توانید نام نویسنده ای که آخرین بار نوشته توسط او ویرایش شده است را نمایش دهید. این تابع درون حلقه استفاده شود. این تابع از نسخه 2,8 به بعد قابل دسترس بوده است.</p>
<p class="code">&lt;?php&nbsp;the_modified_author();&nbsp;?></p>
<div class="parameter">
<p>این تابع پارامتری ندارد.</p>
</div>
</div>
<h3 class="click">The Modified Date<span>the_modified_date();</span></h3>
<div class="dropdown">
<p class="description">این تابع تاریخ (و زمان) آخرین ویرایش یک نوشته را نمایش می دهد. عملکرد این تابع همانند <span dir="ltr"> the_modified_time()</span> می باشد، که آن هم تاریخ و زمان آخرین ویرایش نوشته را نمایش می دهد. این تابع باید درحلقه استفاده شود. اگر پارامتر ساختار آن مشخص نشود، ساختار پیش فرض تاریخ وردپرس مورد استفاده قرار می گیرد. اگر نوشته یا برگه هنوز ویرایش نشده باشد، تاریخ ویرایش همان تاریخ انتشار می باشد. برای برگرداندن مقدار از تابع <span dir="ltr"> get_the_modified_date</span> استفاده کنید.</p>
<p class="code">&lt;?php&nbsp;the_modified_date($d,&nbsp;$before,&nbsp;$after,&nbsp;$echo);&nbsp;?></p>
<div class="parameter">
<h3>$d</h3>
<h4>رشته</h4>
<p>(اختیاری) ساختاری که تاریخ طبق آن نمایش می یابد. به صورت پیش فرض مقداری است که در تنظیمات ساختار تاریخ در پیشخوان وردپرس تعیین شده است.</p>
<hr />
</div>
<div class="parameter">
<h3>$before</h3>
<h4>رشته</h4>
<p>(اختیاری) متن مورد نظر جهت قراردادن پیش از عنوان.</p>
<hr />
</div>
<div class="parameter">
<h3>$after</h3>
<h4>String</h4>
<p>(اختیاری) متن مورد نظر جهت قراردادن پس از عنوان.</p>
<hr />
</div>
<div class="parameter">
<h3>$echo</h3>
<h4>بولی</h4>
<p>(اختیاری) نمایش تاریخ (True)، یا برگرداندن آن جهت استفاده در کد های پی اچ پی (False). مقدار پیش فرض: True.</p>
</div>
</div>
<h3 class="click">The Modified Time <span>the_modified_time();</span></h3>
<div class="dropdown">
این تابع زمان (و تاریخ) آخرین ویرایش نوشته را نمایش می دهد. شبیه به تایع <span dir="ltr">the_time()</span> که زمان (و تاریخ) انتشار یک نوشته را به نمایش می گذارد. این تابع باید در حلقه مورد استفاده قرار گیرد. اگر ساختاری به وسیله پارامتر تعیین نشود، از ساختار نمایش تاریخ در تنظیمات وردپرس استفاده خواهد شد.<p class="description"></p>
<p class="code">&lt;?php&nbsp;the_modified_time($d);&nbsp;?></p>
<div class="parameter">
<h3>$d</h3>
<h4>رشته</h4>
<p>(اختیاری) ساختاری که تاریخ طبق آن نمایش می یابد. به صورت پیش فرض مقداری است که در تنظیمات ساختار تاریخ در پیشخوان وردپرس تعیین شده است.</p>
</div>
</div>
<h3 class="click">The Time <span>the_time();</span></h3>
<div class="dropdown">
<p class="description">زمان انتشار نوشته فعلی را نمایش می دهد. این تابع باید درون حلقه استفاده شود.</p>
<p class="code">&lt;?php&nbsp;the_time($d);&nbsp;?></p>
<div class="parameter">
<h3>$d</h3>
<h4>String</h4>
<p>(اختیاری) ساختاری که زمان طبق آن نمایش می یابد. به صورت پیش فرض ساختاری است که در پیشخوان وردپرس تنظیم می شود. مقدار پیش فرض: خالی.</p>
</div>
</div>
</div>
<?php include("footer.php"); ?>
</body>
</html>