<?php include("header.php"); ?>
<div class="content">
<div class="introduction">
<h1>وردپرس نسخه 3,0+<span>مرجع توابع مورد استفاده در کد نویسی پوسته</span></h1>
</div>	
<h2>توابع پیوند ویرایش</h2>
<h3 class="click">Edit Bookmark Link <span>edit_bookmark_link();</span></h3>
<div class="dropdown">
<p class="description">اگر کاربر وارد شده باشد و بتواند پیوند را ویرایش کند، لینکی را برای ویرایش پیوند فعلی نمایش می دهد. این تابع باید درون حلقه مورد استفاده قرار گیرد.</p>
<p class="code">&lt;?php&nbsp;edit_bookmark_link($link,&nbsp;$before,&nbsp;$after,&nbsp;$bookmark);&nbsp;?></p>
<div class="parameter">
<h3>$link</h3>
<h4>رشته</h4>
<p>(اختیاری) ساختار مورد نظر جهت نمایش زمان. به صورت پیش فرض ساختاری است که در پیشخوان وردپرس تنظیم شده است. مقدار پیش فرض: خالی.</p>
<hr />
</div>
<div class="parameter">
<h3>$link</h3>
<h4>رشته</h4>
<p>(اختیاری) متن پیوند. مقدار پیش: 'ویرایش'.</p>
<hr />
</div>
<div class="parameter">
<h3>$before</h3>
<h4>رشته</h4>
<p>(اختیاری) متن مورد نظر جهت قرار دادن پیش از عنوان پیوند. مقدار پیش فرض: خالی.</p>
<hr />
</div>
<div class="parameter">
<h3>$after</h3>
<h4>رشته</h4>
<p>(اختیاری) متن مورد نظر جهت قرار دادن پس از عنوان پیوند. مقدار پیش فرض: خالی.</p>
<hr />
</div>
<div class="parameter">
<h3>$bookmark</h3>
<h4>عدد صحیح</h4>
<p>آیدی پیوند. مقدار پیش فرض: آیدی پیوند فعلی.</p>
</div>
</div>
<h3 class="click">Edit Comment Link <span>edit_comment_link();</span></h3>
<div class="dropdown">
<p class="description">پیوندی برای ویرایش دیدگاه فعلی (اگر کاربر وارد شده باشد و دسترسی مورد نیاز را داشته باشد) نمایش می دهد. این تابع باید درون حلقه (حلقه دیدگاه ها) استفاده گردد. برای فراخوانی مقدار این نشانی، از تابع <span dir="ltr"> get_edit_comment_link</span> استفاده کنید.
</p>
<p class="code">&lt;?php&nbsp;edit_bookmark_link($link,&nbsp;$before,&nbsp;$after?></p>
<div class="parameter">
<h3>$d</h3>
<h4>رشته</h4>
<p>(اختیاری) ساختاری که زمان باید طبق آن نمایش یابد. به صورت پیش فرض ساختاری است که در پیشخوان وردپرس تنظیم شده است.</p>
<hr />
</div>
<div class="parameter">
<h3>$link</h3>
<h4>رشته</h4>
<p>(اختیاری) متن پیوند. مقدار پی فرض: 'ویرایش'.</p>
<hr />
</div>
<div class="parameter">
<h3>$before</h3>
<h4>رشته</h4>
<p>(اختیاری) متن مورد نظر جهت نمایش پیش از پیوند. مقدار پیش فض: خالی.</p>
<hr />
</div>
<div class="parameter">
<h3>$after</h3>
<h4>رشته</h4>
<p>(اختیاری) متن مورد نظر جهت قرار دادن پس از پیوند. مقدار پیش فرض: خالی.</p>
</div>
</div>
<h3 class="click">Edit Post Link <span>edit_post_link();</span></h3>
<div class="dropdown">
<p class="description">پیوندی برای ویرایش نوشته فعلی نمایش می دهد. این تابع باید درون حلقه مورد استفاده قرار گیرد. از <span dir="ltr"> get_edit_post_link </span> برای دریافت این نشانی استفاده نمایید.</p>
<p class="code">&lt;?php&nbsp;edit_post_link($link,&nbsp;$before,&nbsp;$after,&nbsp;$id);&nbsp;?></p>
<div class="parameter">
<h3>$link</h3>
<h4>رشته</h4>
<p>(اختیاری) متن پیوند. مقدار پیش فرض: 'ویرایش نوشته'.</p>
<hr />
</div>
<div class="parameter">
<h3>$before</h3>
<h4>رشته</h4>
<p>(اختیاری) متن مورد نظر جهت نمایش پیش از پیوند. مقدار پیش فرض: خالی.</p>
<hr />
</div>
<div class="parameter">
<h3>$after</h3>
<h4>رشته</h4>
<p>(اختیاری) متن مورد نظر جهت قرار دادن پس از پیوند. مقدار پیش فرض: خالی.</p>
<hr />
</div>
<div class="parameter">
<h3>$id</h3>
<h4>عدد صحیح</h4>
<p>آیدی نوشته (در نسخه 2,8 اضافه شد). مقدار پیش فرض: خالی.</p>
<hr />
</div>
</div>
<h3 class="click">Edit Tag Link <span>edit_tag_link();</span></h3>
<div class="dropdown">
<p class="description">پیوندی برای ویرایش برچسب فعلی نمایش می دهد (در صورت داشتن دسترسی لازم). این تابع باید درون حلقه استفاده شود. از تابع <span dir="ltr">get_edit_tag_link</span> برای دریافت مقدار نشانی استفاده کنید.</p>
<p class="code">&lt;?php&nbsp;edit_post_link($link,&nbsp;$before,&nbsp;$after,&nbsp;$tag);&nbsp;?></p>
<div class="parameter">
<h3>$link</h3>
<h4>رشته</h4>
<p>(اختیاری) متن پیوند. مقدار پیش فرض: 'ویرایش'.</p>
<hr />
</div>
<div class="parameter">
<h3>$before</h3>
<h4>رشته</h4>
<p>(اختیاری) متن مورد نظر جهت قرار دادن پیش از پیوند. مقدار پیش فرض: خالی.</p>
<hr />
</div>
<div class="parameter">
<h3>$after</h3>
<h4>رشته</h4>
<p>(اختیاری) متن جهت قرار دادن پس از پیوند. مقدار پیش فرض: خالی.</p>
<hr />
</div>
<div class="parameter">
<h3>$tag</h3>
<h4>عدد صحیح/شیء</h4>
<p>(اختیاری) شیء برچسب یا آیدی. مقدار پیش فرض: آیدی برچسب فعلی.</p>
</div>
</div>
</div>
<?php include("footer.php"); ?>
</body>
</html>