<?php include("header.php"); ?>
<div class="content">
<div class="introduction">
<h1>وردپرس نسخه 3,0+<span>مرجع توابع مورد استفاده در کد نویسی پوسته</span></h1>
</div>
<h2>توابع گنجاندن</h2>
<h3 class="click">Comments Template <span>comments_template();</span></h3>
<div class="dropdown">
<p class="description">قالب دیدگاه ها را فراخوانی می کند. می توان از این تابع برای نمایش دیدگاه های نوشته ها و برگه ها استفاده نمود.</p>
<p class="code">&lt;?php&nbsp;comments_template($file,&nbsp;$separate_comments);&nbsp;?></p>
<div class="parameter">
<h3>$file</h3>
<h4>رشته</h4>
<p>(اختیاری) فایل مورد نظر جهت فراخوانی. پیش فرض: <span dir="ltr">/comments.php</span></p>
<hr />
</div>
<div class="parameter">
<h3>$separate_comments</h3>
<h4>بولی</h4>
<p>(اختیاری) تفکیک یا عدم تفکیک دیدگاه ها بر اساس نوعشان. مقدار پیش فرض: False.</p>
</div>
</div>
<h3 class="click">Get Footer <span>get_footer();</span></h3>
<div class="dropdown">
<p class="description">فایل <span dir="ltr">footer.php</span> را از پوشه پوسته فعلی فراخوانی می کند. اگر یک نام (مثلا <span dir="ltr">name</span>) مشخص شده باشد، فایلی با نام <span dir="ltr">footer-name.php</span> را فراخوانی می کند. اگر پوسته فایل footer.php نداشته باشد، فایل <span dir="ltr"> wp-includes/theme-compat/footer.php</span> فراخوانی می شود.</p>
<p class="code">&lt;?php&nbsp;get_footer($name);&nbsp;?></p>
<div class="parameter">
<h3>$name</h3>
<h4>رشته</h4>
<p>(اختیاری) فراخوانی فایلی به صورت footer-name.php. مقدار پیش فرض: خالی.</p>
</div>
</div>
<h3 class="click">Get Header <span>get_header();</span></h3>
<div class="dropdown">
<p class="description">فایل <span dir="ltr">header.php</span> را از پوشه پوسته فعلی فراخوانی می کند. اگر یک نام (مثلا <span dir="ltr">name</span>) مشخص شده باشد، فایلی با نام <span dir="ltr">header-name.php</span> را فراخوانی می کند. اگر پوسته فایل header.php نداشته باشد، فایل <span dir="ltr"> wp-includes/theme-compat/header.php</span> فراخوانی می شود.</p>
<p class="code">&lt;?php&nbsp;get_header($name);&nbsp;?></p>
<div class="parameter">
<h3>$name</h3>
<h4>رشته</h4>
<p>(اختیاری) فراخوانی فایلی به صورت header-name.php. مقدار پیش فرض: خالی.</p>
</div>
</div>
<h3 class="click">Get Search Form <span>get_search_form();</span></h3>
<div class="dropdown">
<p class="description">فرم جستجو را که در فایل searchform.php وجود دارد فراخوانی می کند.</p>
<p class="code">&lt;?php&nbsp;get_search_form();&nbsp;?></p>
<div class="parameter">
<p>این تابع پارامتری ندارد.</p>
</div>
</div>
<h3 class="click">Get Sidebar<span>get_sidebar();</span></h3>
<div class="dropdown">
<p class="description">فایل <span dir="ltr">sidebar.php</span> را از پوشه پوسته فعلی فراخوانی می کند. اگر یک نام (مثلا <span dir="ltr">name</span>) مشخص شده باشد، فایلی با نام <span dir="ltr">sidebar-name.php</span> را فراخوانی می کند. اگر پوسته فایل sidebar.php نداشته باشد، فایل <span dir="ltr"> wp-includes/theme-compat/sidebar.php</span> فراخوانی می شود.</p>
<p class="code">&lt;?php&nbsp;get_sidebar($name);&nbsp;?></p>
<div class="parameter">
<h3>$name</h3>
<h4>رشته</h4>
<p>(اختیاری) فراخوانی فایلی به صورت sidebar-name.php. مقدار پیش فرض: خالی.</p>
</div>
</div>
<h3 class="click">Get Template Part<span>get_template_part();</span></h3>
<div class="dropdown">
<p class="description">یک فایل دلخواه را درون یک قالب فراخوانی می کند (فایلی به غیر از سربرگ، نوار کناری، یا پابرگ). این تابع استفاده چند باره از یک قطعه کد را راحت می کند. اگر پوسته شامل فایلی با ساختار <span dir="ltr">{slug}.php</span> نباشد، فایلی فراخوانی نخواهد شد. همچنین می توان شبیه به دستورات فراخوانی سربرگ و نوار کناری و پابرگ، از این دستور به شکل <span dir="ltr">{slug}-{name}.php</span> نیز استفاده کرد.</p>
<p class="code">&lt;?php&nbsp;get_template_part($slug,&nbsp;$name);&nbsp;?></p>
<div class="parameter">
<h3>$slug</h3>
<h4>رشته</h4>
<p>(ضروری) کلمه کلیدی قالب کد. مقدار پیش فرض: خالی.</p>
<hr />
</div>
<div class="parameter">
<h3>$name</h3>
<h4>رشته</h4>
<p>(خالی) نام قالب سفارشی شده. مقدار پیش فرض: خالی.</p>
</div>
</div>
 </div>
<?php include("footer.php"); ?>
</body>
</html>