<?php include("header.php"); ?>
<div class="content">
<div class="introduction">
<h1>وردپرس نسخه 3,0+<span>مرجع توابع مورد استفاده در کد نویسی پوسته</span></h1>
</div>
<h2>توابع لیست ها و منوهای افتادنی</h2>
<h3 class="click">WP Dropdown Categories <span>wp_dropdown_categories();</span></h3>
<div class="dropdown">
<p class="description">نمایش یا فراخوانی یک لیست افتادنی از دسته ها.</p>
<p class="code">&lt;?php&nbsp;wp_dropdown_categories($args);&nbsp;?></p>
<div class="parameter">
<h3>$args</h3>
<h4>Array</h4>
<p>بازنویسی مقادیر اولیه. مقادیر پیش فرض:</p>
<table dir="ltr">
<tr>
<td>&lt;?php $args = array(</td>
</tr>
<tr>
<td>'show_option_all'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'show_option_none'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'orderby'</td>
<td>=></td>
<td>'ID',</td>
</tr>
<tr>
<td>'order'</td>
<td>=></td>
<td>'ASC',</td>
</tr>
<tr>
<td>'show_last_update'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'show_count'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'hide_empty'</td>
<td>=></td>
<td>1,</td>
</tr>
<tr>
<td>'child_of'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'exclude'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'echo'</td>
<td>=></td>
<td>1,</td>
</tr>
<tr>
<td>'selected'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'hierarchical'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'name'</td>
<td>=></td>
<td>'cat',</td>
</tr>
<tr>
<td>'id'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'class'</td>
<td>=></td>
<td>'postform',</td>
</tr>
<tr>
<td>'depth'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'tab_index'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'taxonomy'</td>
<td>=></td>
<td>'category',</td>
</tr>
<tr>
<td>'hide_if_empty'</td>
<td>=></td>
<td>false</td>
</tr>
<tr>
<td>);</td>
</tr>
<tr>
<td>?></td>
</tr>
</table>
<p>در حالت پیش فرض، نتایج به صورت زیر خواهند بود:</p>
<ul>
<li>دسته ها بر اساس آیدیشان به صورت سعودی مرتب می شوند</li>
<li>آخرین تاریخ به روزرسانی نمایش داده نمی شود</li>
<li>تعداد نوشته های هر دسته نمایش داده نمی شود</li>
<li>دسته های خالی (بدون نوشته) نمایش داده نمی شوند</li>
<li>هیچ موردی چشم پوشی نمی گردد</li>
<li>دسته ها را نمایش می دهد(echo)</li>
<li>هیچ دسته ای به صورت پیش فرض انتخاب شده نیست</li>
<li>دسته ها را به صورت درختی نمایش نمی دهد</li>
<li>نام فرم 'cat' می باشد</li>
<li>به فرم کلاس 'postform' نسبت داده می شود</li>
<li>آیدی ای برای لیست تعیین نمی شود پس نام لیست به عنوان آیدی نسبت داده می شود</li>
<li>محدودیتی در عمق دسته ها وجود ندارد</li>
<li>Tab index لیست برابر 0 می باشد</li>
<li>انتخاب دسته (category) ها به عنوان رده بندی (taxonomy)</li>
<li>لیست افتادنی در صورت خالی بودن مخفی می شود</li>
</ul>
</div>
</div>
<h3 class="click">WP Dropdown Pages <span>wp_dropdown_pages();</span></h3>
<div class="dropdown">
<p class="description">لیستی از برگه ها را در یک عنصر select (لیست افتادنی) بدون دکمه ارسال نمایش خواهد داد.</p>
<p class="code">&lt;?php&nbsp;wp_dropdown_pages($args);&nbsp;?></p>
<div class="parameter">
<h3>$args</h3>
<h4>آرایه</h4>
<p>مقادیر پیش فرض:</p>
<table dir="ltr">
<tr>
<td>&lt;?php $args = array(</td>
</tr>
<tr>
<td>'depth'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'child_of'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'selected'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'echo'</td>
<td>=></td>
<td>1,</td>
</tr>
<tr>
<td>'name'</td>
<td>=></td>
<td>'page_id',</td>
</tr>
<tr>
<td>'show_option_none'</td>
<td>=></td>
</tr>
<tr>
<td>'exclude'</td>
<td>=></td>
</tr>
<tr>
<td>'exclude_tree'</td>
<td>=></td>
</tr>
<tr>
<td>);</td>
</tr>
<tr>
<td>?></td>
</tr>
</table>
<p>در حالت پیش فرض، نتایج به صورت زیر خواهند بود:</p>
<ul>
<li>برگه های مادر و فرزند به صورت درختی نمایش داده خواهند شد</li>
<li>تمامی برگه ها نمایش داده می شوند</li>
<li>هیچ برگه ای انتخاب شده نخواهد بود</li>
<li>نام لیست افتادنی 'page_id' می باشدس</li>
<li>قابلیت انتخاب نکردن هیچ یک از برگه ها فراهم است (show_option_none)</li>
</ul>
</div>
</div>
<h3 class="click">WP Dropdown Users <span>wp_dropdown_users();</span></h3>
<div class="dropdown">
<p class="description">لیستی از کاربران را در یک عنصر select (لیست افتادنی) بدون دکمه ارسال نمایش می دهد.</p>
<p class="code">&lt;?php&nbsp;wp_dropdown_users($args);&nbsp;?></p>
<div class="parameter">
<h3>$args</h3>
<h4>آرایه</h4>
<p>مقادیر پیش فرض:</p>
<table dir="ltr">
<tr>
<td>&lt;?php $args = array(</td>
</tr>
<tr>
<td>'show_option_all'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'show_option_none'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'orderby'</td>
<td>=></td>
<td>'display_name',</td>
</tr>
<tr>
<td>'order'</td>
<td>=></td>
<td>'ASC',</td>
</tr>
<tr>
<td>'include'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'exclude'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'multi'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'show'</td>
<td>=></td>
<td>'display_name',</td>
</tr>
<tr>
<td>'echo'</td>
<td>=></td>
<td>1,</td>
</tr>
<tr>
<td>'selected'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'name'</td>
<td>=></td>
<td>'user',</td>
</tr>
<tr>
<td>'class'</td>
<td>=></td>
</tr>
<tr>
<td>);</td>
</tr>
<tr>
<td>?></td>
</tr>
</table>
</div>
<div class="parameter">
<h3>show_option_all</h3>
<h4>رشته</h4>
<p>فراهم کردن قابلیت انتخاب همه ی کاربران.</p>
<hr />
</div>
<div class="parameter">
<h3>show_option_none</h3>
<h4>رشته</h4>
<p>فراهم کردن قابلیت انتخاب هیچ یک از کاربران.</p>
<hr />
</div>
<div class="parameter">
<h3>orderby</h3>
<h4>رشته</h4>
<p>خصوصه مورد نظر جهت مرتب سازی بر اساس آن. مقادیر معتبر:</p>
<ul>
<li>'ID'</li>
<li>'user_nicename'</li>
<li>'display_name' - پیش فرض</li>
</ul>
<hr />
</div>
<div class="parameter">
<h3>order</h3>
<h4>رشته</h4>
<p>ترتیب نمایش کاربران. مقادیر معتبر:</p>
<ul>
<li>'ASC' - پیش فرض</li>
<li>'DESC'</li>
</ul>
<hr />
</div>
<div class="parameter">
<h3>include</h3>
<h4>رشته</h4>
<p>آیدی کاربرانی که مایل به نمایش آن ها در لیست هستید.</p>
<hr />
</div>
<div class="parameter">
<h3>exclude</h3>
<h4>رشته</h4>
<p>آیدی کاربرانی که مایل به نمایش آن ها نیستید. به صورت پیش فرض تمامی کاربران به لیست افزوده خواهند شد.</p>
<hr />
</div>
<div class="parameter">
<h3>multi</h3>
<h4>بولی</h4>
<p>تعیین نادیده گرفتن خصوصه ی ID در عنصر select. مقدار پیش فرض، False می باشد.</p>
<hr />
</div>
<div class="parameter">
<h3>show</h3>
<h4>رشته</h4>
<p>عنوان ستون کاربر در پایگاه داده جهت نمایش (تعیین نمایش کاربران بر اساس مشخصه مورد نظر). اگر عنوان انخاب شده برای یک کاربر خالی باشد، user_login نمایش داده خواهد شد.</p>
<ul>
<li>'ID'</li>
<li>'user_login'</li>
<li>'display_name' - پیش فرض</li>
</ul>
</div>
<div class="parameter">
<h3>echo</h3>
<h4>بولی</h4>
<p>نمایش کاربران (True) یا فراخوانی برای استفاده در کد پی اچ پی (False). مقدار پیش فرض: True.</p>
<hr />
</div>
<div class="parameter">
<h3>selected</h3>
<h4>عدد صحیح</h4>
<p>آیدی کاربری که به صورت پیش فرض انتخاب شده است. در حالت پیش فرض کاربری انتخاب نمی شود.</p>
<hr />
</div>
<div class="parameter">
<h3>name</h3>
<h4>نوع: رشته</h4>
<p>نام اختصاص یافته به لیست. مقدار پیش فرض 'user' می باشد.</p>
<hr />
</div>
<div class="parameter">
<h3>class</h3>
<h4>نوع: رشته</h4>
<p>اگر مایلید می توانید با مقداردهی این پارامتر یک کلاس به لیست اختصاص دهید.</p>
</div>
</div>
<h3 class="click">WP Get Archives<span>wp_get_archives();</span></h3>
<div class="dropdown">
<p class="description">این تابع یک لیست از بایگانی بر اساس تاریخ نمایش خواهد داد. این تابع می تواند هر جایی از پوسته مورد استفاده قرار گیرد.</p>
<p class="code">&lt;?php&nbsp;wp_get_archives($args);&nbsp;?></p>
<div class="parameter">
<h3>$args</h3>
<h4>آرایه</h4>
<p>مقادیر پیش فرض:</p>
<table dir="ltr">
<tr>
<td>&lt;?php $args = array(</td>
</tr>
<tr>
<td>'type'</td>
<td>=></td>
<td>'monthly',</td>
</tr>
<tr>
<td>'limit'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'format'</td>
<td>=></td>
<td>'html',</td>
</tr>
<tr>
<td>'before'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'after'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'show_post_count'</td>
<td>=></td>
<td>false,</td>
</tr>
<tr>
<td>'echo'</td>
<td>=></td>
<td>1</td>
</tr>
<tr>
<td>);</td>
</tr>
<tr>
<td>?></td>
</tr>
</table>
<p>در حالت پیش فرض، نتایج زیر حاصل می شوند:</p>
<ul>
<li>پیوندهای بایگانی های ماهانه نمایش داده می شوند</li>
<li>تمامی بایگانی ها نمایش داده می شوند (محدودیتی در تعداد وجود ندارد)</li>
<li>بایگانی ها را در یک لیست اچ تی ام ال <span dir="ltr">&lt;li></span> قرار می دهد</li>
<li>قبل یا بعد از هر پیوند چیزی افزوده نمی شود</li>
<li>تعداد مطالب نشان داده نمی شود</li>
</ul>
</div>
</div>
<h3 class="click">WP List Authors<span>wp_list_authors();</span></h3>
<div class="dropdown">
<p class="description">نمایش لیستی از نویسنده های سایت، اگر کاربری نوشته ای منتشر کرده باشد، نام نویسنده به همراه پیوندی به نوشته هایش نمایش داده می شود. می توانید از این تابع طوری استفاده کنید که تعداد نوشته های هر نویسنده را و پیوند به فید آر اس اس او را نمایش دهد.</p>
<p class="code">&lt;?php&nbsp;wp_list_authors($args);&nbsp;?></p>
<div class="parameter">
<h3>$args</h3>
<h4>آرایه</h4>
<p>مقادیر پیش فرض:</p>
<table dir="ltr">
<tr>
<td>&lt;?php $args = array(</td>
</tr>
<tr>
<td>'optioncount'</td>
<td>=></td>
<td>false,</td>
</tr>
<tr>
<td>'exclude_admin'</td>
<td>=></td>
<td>true,</td>
</tr>
<tr>
<td>'show_fullname'</td>
<td>=></td>
<td>false,</td>
</tr>
<tr>
<td>'hide_empty'</td>
<td>=></td>
<td>true,</td>
</tr>
<tr>
<td>'echo'</td>
<td>=></td>
<td>true,</td>
</tr>
<tr>
<td>'feed'</td>
<td>=></td>
<td>[empty string],</td>
</tr>
<tr>
<td>'feed_image'</td>
<td>=></td>
<td>[empty string],</td>
</tr>
<tr>
<td>'style'</td>
<td>=></td>
<td>list,</td>
</tr>
<tr>
<td>'html'</td>
<td>=></td>
<td>[empty string]</td>
</tr>
<tr>
<td>);</td>
</tr>
<tr>
<td>?</td>
</tr>
</table>
<p>در حالت پیش فرض، عملکرد تابع به این صورت می باشد:</p>
<ul>
<li>تعداد نوشته ها نمایش داده نمی شود</li>
<li>مدیر را از لیست شده مستثنا می کند</li>
<li>مقداری را که کاربر جهت نمایش عمومی نام انتخاب کرده نمایش می دهد"</li>
<li>کاربرانی که نوشته ای ارسال نکرده اند، در لیست قرار ندارند</li>
<li>نتایج را نمایش می دهد</li>
<li>فید نویسنده یا عکس او نمایش داده نمی شود</li>
<li>خروجی به صورت لیست خواهد بود</li>
<li>خروجی ها با HTML معتبر برگردانده می شوند</li>
</ul>
</div>
</div>
<h3 class="click">WP List Categories<span>wp_list_categories();</span></h3>
<div class="dropdown">
<p class="description">لیستی از دسته ها را به صورت پیوند نمایش خواهد داد. وقتی روی پیوند یک دسته کلیک شود، صفحه حاوی لیست نوشته های دسته باز می شود. نکته: عملکرد این تابع شبیه توابع list_cats و wp_list_cats می باشد که هر دو منسوخ شده اند.</p>
<p class="code">&lt;?php&nbsp;wp_list_categories($args);&nbsp;?></p>
<div class="parameter">
<h3>$args</h3>
<h4>آرایه</h4>
<p>مقادیر پیش فرض:</p>
<table dir="ltr">
<tr>
<td>&lt;?php $args = array(</td>
</tr>
<tr>
<td>'show_option_all'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'orderby'</td>
<td>=></td>
<td>'name',</td>
</tr>
<tr>
<td>'order'</td>
<td>=></td>
<td>'ASC',</td>
</tr>
<tr>
<td>'show_last_update'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'style'</td>
<td>=></td>
<td>'list',</td>
</tr>
<tr>
<td>'show_count'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'hide_empty'</td>
<td>=></td>
<td>1,</td>
</tr>
<tr>
<td>'use_desc_for_title'</td>
<td>=></td>
<td>1,</td>
</tr>
<tr>
<td>'child_of'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'feed'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'feed_type'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'feed_image'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'exclude'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'exclude_tree'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'include'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'hierarchical'</td>
<td>=></td>
<td>true,</td>
</tr>
<tr>
<td>'title_li'</td>
<td>=></td>
<td>__( 'Categories' ),</td>
</tr>
<tr>
<td>'number'</td>
<td>=></td>
<td>NULL,</td>
</tr>
<tr>
<td>'echo'</td>
<td>=></td>
<td>1,</td>
</tr>
<tr>
<td>'depth'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'current_category'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'pad_counts'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'taxonomy'</td>
<td>=></td>
<td>'category',</td>
</tr>
<tr>
<td>'walker'</td>
<td>=></td>
<td>'Walker_Category'</td>
</tr>
<tr>
<td>);</td>
</tr>
<tr>
<td>?></td>
</tr>
</table>
<p>در حالت پیش فرض، عملکرد تابع به صورت زیر خواهد بود:</p>
<ul>
<li>پیوندی به تمامی دسته ها وجود ندارد</li>
<li>لیست دسته ها را بر اساس نام دسته و به صورت صعودی مرتب می کند</li>
<li>آخرین به روز رسانی را نمایش نمی دهد (آخرین نوشته به روز رسانی شده هر دسته)</li>
<li>لیست دسته ها در یک Unordered list قرار می گیرد</li>
<li>تعداد نوشته ها را نمایش نمی دهد</li>
<li>تنها دسته هایی که شامل نوشته هستند نمایش داده می شوند</li>
<li>خصوصیت title تگ پیوند را برابر توضیحات دسته تنظیم می کند</li>
<li>توسط پارامتر child_of محدود نشده است</li>
<li>فید یا عکسی برای فید نمایش داده نخواهد شد</li>
<li>تمامی دسته ها نمایش داده می شوند و از دسته ای چشم پوشی نمی گردد</li>
<li>به دسته فعال (اگر کاربر در حال دیدن یک دسته باشد) کلاس 'current-cat' افزوده می شود</li>
<li>دسته ها را به صورت درختی نمایش می دهد</li>
<li>"دسته" به عنوان تیتر بالای لیست قرار می گیرد</li>
<li>محدودیتی توسط اس کیو ال لحاظ نشده است</li>
<li>دسته ها را نمایش می دهد (echo می کند)</li>
<li>محدودیتی در عمق وجود ندارد</li>
<li>تمامی دسته ها.</li>
<li>لیست توسط کلاس Walker_Category بارگذاری می شود</li>
</ul>
</div>
</div>
<h3 class="click">WP List Comments <span>wp_list_comments();</span></h3>
<div class="dropdown">
<p class="description">دیدگاه های یک نوشته یا برگه را بر اساس آرگومان های تابع نمایش می دهد</p>
<p class="code">&lt;?php&nbsp;wp_list_comments($args);&nbsp;?></p>
<div class="parameter">
<h3>$args</h3>
<h4>آرایه</h4>
<p>مقادیر پیش فرض:</p>
<table dir="ltr">
<tr>
<td>&lt;?php $args = array(</td>
</tr>
<tr>
<td>'walker'</td>
<td>=></td>
<td>null,</td>
</tr>
<tr>
<td>'max_depth'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'style'</td>
<td>=></td>
<td>'ul',</td>
</tr>
<tr>
<td>'callback'</td>
<td>=></td>
<td>null,</td>
</tr>
<tr>
<td>'end-callback'</td>
<td>=></td>
<td>null,</td>
</tr>
<tr>
<td>'type'</td>
<td>=></td>
<td>'all',</td>
</tr>
<tr>
<td>'page'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>per_page'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'avatar_size'</td>
<td>=></td>
<td>32,</td>
</tr>
<tr>
<td>'reverse_top_level'</td>
<td>=></td>
<td>null,</td>
</tr>
<tr>
<td>'reverse_children'</td>
<td>=></td>
</tr>
<tr>
<td>);</td>
</tr>
<tr>
<td>?></td>
</tr>
</table>
</div>
<div class="parameter">
<h3>avatar_size</h3>
<h4>عدد صحیح</h4>
<p>ابعادی که آواتار باید نمایش یابد (برحسب پیکسل) مقدار پیش فرض: 32. گراواتار از طول یا عرض با ابعاد حداقل 1 پیکسل و حداکثر 512 پیکسل پشتیبانی می کند</p>
<hr />
</div>
<div class="parameter">
<h3>style</h3>
<h4>رشته</h4>
<p>نوع عنصری که دیدگاه ها باید در آن قرار داده شوند. مقادیر قابل قبول 'div'، 'ol'، یا 'ul'. پیش فرض 'ul' می باشد. نکته: ساختاری که انتخاب می کنید، باید مطابق با ساختاری باشد که این تابع را احاطه کرده است. مثلا
<span dir="ltr">&lt;div class="commentlist">&lt;?php wp_list_comments(array('style' => 'div')); ?>&lt;/div></span>
یا
<span dir="ltr">&lt;ol class="commentlist">&lt;?php wp_list_comments(array('style' => 'ol')); ?>&lt;/ol></span></p>
<hr />
</div>
<div class="parameter">
<h3>type</h3>
<h4>رشته</h4>
<p>نوع دیدگاه ها برای نمنایش. گزینه های قابل استفاده 'all'، 'comment'، 'trackback'، 'pingback' یا 'pings' می باشد. 'pings' شامل 'trackback' و 'pingback' است. مقدار پیش فرض 'all' می باشد.</p>
<hr />
</div>
<div class="parameter">
<h3>reply_text</h3>
<h4>رشته</h4>
<p>متن پیوند پاسخ دادن به دیدگاه. (این پارامتر به این تابع تعلق ندارد اما به تابع get_comment_reply_link ارسال می شود.) مقدار پیش فرض 'پاسخ دادن' است.</p>
<hr />
</div>
<div class="parameter">
<h3>login_text</h3>
<h4>رشته</h4>
<p>متن نمایش یافته هنگامی که کاربران برای ارسال دیدگاه باید وارد شوند. (این پارامتر به این پارامتر تعلق ندارد اما به تابع get_comment_reply_link ارسال می شود.) متن پیش فرض 'ببخشید، برای نوشتن دیدگاه باید وارد بشوید' است.</p>
<hr />
</div>
<div class="parameter">
<h3>callback</h3>
<h4>رشته</h4>
<p>نام تابع دلخواه جهت نمایش دیدگاه ها. مقدار پیش فرض null است. استفاده از این پارامتر به شما قابلیت استفاده از تابعی دلخواه برای نمایش دیدگاه ها را می دهد.</p>
<hr />
</div>
<div class="parameter">
<h3>reverse_top_level</h3>
<h4>بولی</h4>
<p>اگر این پارامتر مقدارش True باشد، ترتیب دیدگاه ها برعکس خواهد بود. یعنی جدیدترین ها بالاتر قرار می گیرند.</p>
<hr />
</div>
<div class="parameter">
<h3>reverse_children</h3>
<h4>رشته</h4>
<p>اگر true باشد دیدگاه های زیرمجموعه (فرزند) دارای ترتیب بلعکس می شوند. یعنی جدیدتر ها بالاتر قرار می گیرند.</p>
</div>
</div>
<h3 class="click">WP List Pages <span>wp_list_pages();</span></h3>
<div class="dropdown">
<p class="description">لیست برگه های وردپرس را نمایش می دهد. این تابع معمولا برای سفارشی کردن نوارکناری یا سربرگ استفاده می شود اما می توان در جاهای دیگر نیز از آن استفاده نمود.</p>
<p class="code">&lt;?php&nbsp;wp_list_pages($args);&nbsp;?></p>
<div class="parameter">
<h3>$args</h3>
<h4>آرایه</h4>
<p>پارامترهای پیش فرض:</p>
<table dir="ltr">
<tr>
<td>&lt;?php $args = array(</td>
</tr>
<tr>
<td>'depth'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'show_date'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'date_format'</td>
<td>=></td>
<td>get_option('date_format'),</td>
</tr>
<tr>
<td>'child_of'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'exclude'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'include'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'title_li'</td>
<td>=></td>
<td>__('Pages'),</td>
</tr>
<tr>
<td>'echo'</td>
<td>=></td>
<td>1,</td>
</tr>
<tr>
<td>'authors'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'sort_column'</td>
<td>=></td>
<td>'menu_order, post_title',</td>
</tr>
<tr>
<td>'link_before'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'link_after'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'exclude_tree'</td>
<td>=></td>
</tr>
<tr>
<td>);</td>
</tr>
<tr>
<td>?></td>
</tr>
</table>
<p>خروجی تابع در حالت پیش فرض:</p>
<ul>
<li>تمامی برگه ها و زیرمجموعه هایشان نمایش داده خواهند شد (محدودیتی در عمق نیست)</li>
<li>تاریخ ایجاد نمایش داده نمی شود</li>
<li>با پارامتر child_of محدود نشده</li>
<li>از لیست کردن هیچ برگه ای چشم پوشی نمی شود</li>
<li>عنوانی که بالای لیست برگه ها نمایش داده می شود "برگه‌ها" می باشد</li>
<li>خروجی نمایش داده می شود (echo می شود)</li>
<li>به برگه های ایجاد شده توسط یک کاربر خاص محدود نیست</li>
<li>ابتدا براساس ترتیب برگه‌ها و سپس براساس عنوان برگه‌ها مرتب می شوند.</li>
<li>به صورت صعودی مرتب می شوند (به عنوان مقادیر پیش فرض در بالا لیست نشده است)</li>
<li>برگه‌ها به صورت درختی نمایش داده می شوند (به عنوان مقدار پیش فرض در بالا لیست نشده است)</li>
<li>لیست شامل تمامی برگه‌ها است (به عنوان مقدار پیش فرض در بالا لیست نشده است)</li>
<li>به برگه هایی با مشخصات خاص محدود نشده است (به عنوان مقدار پیش فرض در بالا لیست نشده است)</li>
<li>تمامی برگه‌های مادر و فرزند نمایش داده خواهند شد</li>
</ul>
</div>
</div>
<h3 class="click">WP Page Menu <span>wp_page_menu();</span></h3>
<div class="dropdown">
<p class="description">لیستی از برگه های سایت نمایش می دهد و همچنین قابلیت افزودن صفحه اصلی به این لسیت فراهم است. این تابع معمولا برای سفارشی کردن نوارکناری یا سربرگ استفاده می شود اما می تواند در جاهای دیگر نیز مورد استفاده قرار گیرد.</p>
<p class="code">&lt;?php&nbsp;wp_page_menu($args);&nbsp;?></p>
<div class="parameter">
<h3>$args</h3>
<h4>آرایه</h4>
<p>پارامترهای پیش فرض:</p>
<table dir="ltr">
<tr>
<td>&lt;?php $args = array(</td>
</tr>
<tr>
<td>'sort_column'</td>
<td>=></td>
<td>'menu_order, post_title',</td>
</tr>
<tr>
<td>'menu_class'</td>
<td>=></td>
<td>'menu',</td>
</tr>
<tr>
<td>'include'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'exclude'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'echo'</td>
<td>=></td>
<td>true,</td>
</tr>
<tr>
<td>'show_home'</td>
<td>=></td>
<td>false,</td>
</tr>
<tr>
<td>'link_before'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'link_after'</td>
<td>=></td>
</tr>
<tr>
<td>);</td>
</tr>
<tr>
<td>?></td>
</tr>
</table>
<p>در حالت پیش فرض، خروجی تابع به قرار زیر خواهد بود:</p>
<ul>
<li>براساس ترتیب فهرست و عنوان مرتب می شوند</li>
<li>کلاس تگ div برابر 'menu' می باشد</li>
<li>از لیست کردن برگه ای چشم پوشی نشده است</li>
<li>خروجی نمایش داده می شود (echo می شود)</li>
<li>متنی قبل یا بعد از پیوند درج نمی شود</li>
<li>صفحه اصلی به لیست صفحات افزوده نمی شود</li>
<li>نکته: خروجی با تگ های <span dir="ltr">&lt;ul></span> و <span dir="ltr">&lt;/ul></span> احاطه می شود</li>
</ul>
</div>
</div>
</div>
<?php include("footer.php"); ?>
</body>
</html>