<?php include("header.php"); ?>
<div class="content">
<div class="introduction">
<h1>وردپرس نسخه 3,0+<span>مرجع توابع مورد استفاده در کد نویسی پوسته</span></h1>
</div>
<h2>Navigation Menu Tags</h2>
<h3 class="click">WP Navigation Menu <span>wp_nav_menu();</span></h3>
<div class="dropdown">
<p class="description">Displays a navigation menu created in the Appearance > Menus panel. Given a theme_location parameter, the function displays the menu assigned to that location, or nothing if no such location exists or no menu is assigned to it. If not given a theme_location` parameter, the function displays the menu matching the ID, slug, or name given by the menu parameter, if that menu has at least 1 item; otherwise, the first non-empty menu; otherwise, output of the function given by the fallback_cb parameter (wp_list_pages(), by default); otherwise nothing.</p>
<p class="code">&lt;?php&nbsp;wp_nav_menu($args);&nbsp;?></p>
<div class="parameter">
<h3>$args</h3>
<h4>Array</h4>
<p>Default arguments:</p>
<table>
<tr>
<td>&lt;?php $defaults = array(</td>
</tr>
<tr>
<td>'menu'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'container'</td>
<td>=></td>
<td>'div',</td>
</tr>
<tr>
<td>'container_class'</td>
<td>=></td>
<td>, </td>
</tr>
<tr>
<td>'container_id'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'menu_class'</td>
<td>=></td>
<td>'menu',</td>
</tr>
<tr>
<td>'menu_id'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'echo'</td>
<td>=></td>
<td>true,</td>
</tr>
<tr>
<td>'fallback_cb'</td>
<td>=></td>
<td>'wp_page_menu',</td>
</tr>
<tr>
<td>'before'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'after'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'link_before'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'link_after'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'depth'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'walker'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'theme_location'</td>
<td>=></td>
</tr>
<tr>
<td>);</td>
</tr>
<tr>
<td>?></td>
</tr>
</table>
</div>
<div class="parameter">
<h3>$menu</h3>
<h4>String</h4>
<p>(Optional) The menu that is desired; accepts (matching in order) id, slug, name. Default: none.</p>
<hr />
</div>
<div class="parameter">
<h3>$container</h3>
<h4>String</h4>
<p>(Optional) Whether to wrap the ul, and what to wrap it with. Default: div.</p>
<hr />
</div>
<div class="parameter">
<h3>$container_class</h3>
<h4>String</h4>
<p>(Optional) the class that is applied to the container. Default: menu-{menu slug}-container</p>
<hr />
</div>
<div class="parameter">
<h3>$container_id</h3>
<h4>String</h4>
<p>(Optional) The ID that is applied to the container. Default: none.</p>
<hr />
</div>
<div class="parameter">
<h3>$menu_class</h3>
<h4>String</h4>
<p>(Optional) CSS class to use for the ul element which forms the menu. Default: menu</p>
<hr />
</div>
<div class="parameter">
<h3>$menu_id</h3>
<h4>String</h4>
<p>(Optional) The ID that is applied to the ul element which forms the menu. Default: menu slug, incremented</p>
<hr />
</div>
<div class="parameter">
<h3>$echo</h3>
<h4>Boolean</h4>
<p>(Optional) Whether to echo the menu or return it. Default: True.</p>
<hr />
</div>
<div class="parameter">
<h3>$fallback_cb</h3>
<h4>String</h4>
<p>(Optional) If the menu doesn't exists, the callback function to use. Default: wp_page_menu</p>
<hr />
</div>
<div class="parameter">
<h3>$before</h3>
<h4>String</h4>
<p>(Optional) Output text before the &lt;a> of the link. Default: none.</p>
<hr />
</div>
<div class="parameter">
<h3>$after</h3>
<h4>String</h4>
<p>(Optional) Output text after the &lt;a> of the link. Default: none.</p>
<hr />
</div>
<div class="parameter">
<h3>$link_before</h3>
<h4>String</h4>
<p>(Optional) Output text before the link text. Default: none.</p>
<hr />
</div>
<div class="parameter">
<h3>$link_after</h3>
<h4>String</h4>
<p>(Optional) Output text after the link text. Default: none.</p>
<hr />
</div>
<div class="parameter">
<h3>$depth</h3>
<h4>Integer</h4>
<p>(Optional) How many levels of the hierarchy are to be included where 0 means all. Default: 0</p>
<hr />
</div>
<div class="parameter">
<h3>$walker</h3>
<h4>Object</h4>
<p>(Optional) Custom walker object to use (Note: You must pass an actual object to use, not a string). Default: new Walker_Nav_Menu</p>
<hr />
</div>
<div class="parameter">
<h3>$theme_location</h3>
<h4>String</h4>
<p>(Optional) the location in the theme to be used--must be registered with register_nav_menu() in order to be selectable by the user. Default: none.</p>
</div>
</div>
 </div>
<?php include("footer.php"); ?>
</body>
</html>