<?php include("header.php"); ?>
<div class="content">
<div class="introduction">
<h1>وردپرس نسخه 3,0+<span>مرجع توابع مورد استفاده در کد نویسی پوسته</span></h1>
</div>
<h2>توابع پیوند کوتاه</h2>
<h3 class="click">The Shortlink<span>the_shortlink();</span></h3>
<div class="dropdown">
<p class="description">در صفحات نمایش نوشته استفاده می شود و پیوند کوتاه نوشته را نمایش می دهد. به صورت پیش فرض ساختار نشانی پیوند کوتاه به صورت <span dir="ltr">/?p=1234</span> می باشد و فقط در صورتی نمایش داده می شود که از یک ساختار پیوند غیر پیش فرض استفاده شود. این قابلیت به صورت پیش فرض محدود است اما می توان با استفاده از افزونه ها آن را سفارشی کرد و ساختار آن را تغیر داد.</p>
<p class="code">&lt;?php&nbsp;the_shortlink($text,&nbsp;$title,&nbsp;$before,&nbsp;$after);&nbsp;?></p>
<div class="parameter">
<h3>$text</h3>
<h4>رشته</h4>
<p>(اختیاری) متن پیوند کوتاه. مقدار پیش فرض: 'این پیوندک است.'</p>
<hr />
</div>
<div class="parameter">
<h3>$title</h3>
<h4>رشته</h4>
<p>(اختیاری) عنوان پیوند که به صورت tool-tip نشان داده می شود. مقدار پیش فرض: عنوان نوشته.</p>
<hr />
</div>
<div class="parameter">
<h3>$before</h3>
<h4>رشته</h4>
<p>(اختیاری) متن خام یا کد اچ تی ام ال جهت نمایش پیش از پیوندک. مقدار پیش فرض: خالی.</p>
<hr />
</div>
<div class="parameter">
<h3>$after</h3>
<h4>رشته</h4>
<p>(اختیاری) متن خام یا کد اچ تی ام ال جهت نمایش پس از پیوندک. مقدار پیش فرض: خالی.</p>
</div>
</div>
 </div>
<?php include("footer.php"); ?>
</body>
</html>