<?php include("header.php"); ?>
<div class="content">
<div class="introduction">
<h1>وردپرس نسخه 3,0+<span>مرجع توابع مورد استفاده در کد نویسی پوسته</span></h1>
</div>
<h2>توابع نویسنده ها</h2>
<h3 class="click">The Author<span>the_author();</span></h3>
<div class="dropdown">
<p class="description">با استفاده از این تابع می توانید نویسنده نوشته را نمایش دهید. این تابع باید در حلقه وردپرس استفاده شود.</p>
<p class="code">&lt;?php&nbsp;the_author();&nbsp;?></p> 
<div class="parameter">
<p>این تابع پارامتری ندارد.</p>
</div>
</div>
<h3 class="click">Get The Author<span>get_the_author();</span></h3>
<div class="dropdown">
<p class="description">با استفاده از این تابع می توانید نویسنده نوشته را به صورت رشته برای استفاده در زبان PHP فراخوانی کنید. این تابع باید در حلقه وردپرس استفاده شود.</p>
<p class="code">&lt;?php&nbsp;$author&nbsp;=&nbsp;get_the_author();&nbsp;?></p> 
<div class="parameter">
<p>این تابع پارامتری ندارد.</p>
</div>
</div>
<h3 class="click">The Author Link<span>the_author_link();</span></h3>
<div class="dropdown">
<p class="description">خروجی این تابع یک پیوند به وب سایت نویسنده نوشته است. هر کاربر می تواند آدرس وب سایت یا وبلاگش را در شناسنامه اش (کاربران > شناسه شما) وارد کند. متن پیوند گزینه ای است که کاربر برای نمایش عمومی نام انتخاب کرده. این تابع باید در حلقه وردپرس استفاده شود.</p>
<p class="code">&lt;?php&nbsp;the_author_link();&nbsp;?></p> 
<div class="parameter">
<p>این تابع پارامتری ندارد.</p>
</div>
</div>
<h3 class="click">The Author Meta<span>the_author_meta();</span></h3>
<div class="dropdown">
<p class="description">تابع the_author_meta مشخصات کاربر مورد نظر شما را نمایش می دهد. اگر از این تابع در حلقه استفاده کنید، نیازی به وارد کردن آیدی نخواهد بود و اطلاعاتی که نمایش داده می شود، اطلاعات نویسنده ی نوشته فعلی خواهد بود. اگر بیرون از حلقه از این تابع استفاده کنید، آیدی کاربر می تواند وارد شود. برای برگرداندن (و نه نمایش) اطلاعات مورد نظرتان، از تابع get_the_author_meta استفاده کنید.</p>
<p class="code">&lt;?php&nbsp;the_author_meta(&nbsp;$field,&nbsp;$userID);&nbsp;?> 
</p> 
<div class="parameter">
<h3>$field</h3>
<h4>نوع: رشته</h4>
<p>نام مشخصه ی مورد نظر جهت نمایش. مقادیر معتبر:</p>
<ul>
<li>user_login</li>
<li>user_pass</li>
<li>user_nicename</li>
<li>user_email</li>
<li>user_url</li>
<li>user_registered</li>
<li>user_activation_key</li>
<li>user_status</li>
<li>display_name</li>
<li>nickname</li>
<li>first_name</li>
<li>last_name</li>
<li>description</li>
<li>jabber</li>
<li>aim</li>
<li>yim</li>
<li>user_level</li>
<li>user_lastname</li>
<li>user_description</li>
<li>rich_editing</li>
<li>comment_shortcuts</li>
<li>admin_color</li>
<li>plugins_per_page</li>
<li>plugins_last_view</li>
<li>ID</li>
</ul>
<hr />
</div>
<div class="parameter">
<h3>$userID</h3>
<h4>نوع: عدد صحیح</h4>
<p>اگر آیدی کاربر را وارد نمایید، این تابع مشخصات کاربر مد نظر شما را نمایش خواهد داد.</p>
</div>
</div>
<h3 class="click">The Author Posts<span>the_author_posts();</span></h3>
<div class="dropdown">
<p class="description">تعداد تمامی نوشته ی منتشر شده ی نویسنده را نمایش خواهد داد. تعداد پیش نویس ها و نوشته های خصوصی در این شمارش منظور نمی شوند. این تابع باید درون حلقه استفاده شود.</p>
<p class="code">&lt;?php&nbsp;the_author_posts();&nbsp;?></p> 
<div class="parameter">
<p>این تابع پارامتری ندارد.</p>
</div>
</div>
<h3 class="click">The Author Posts Link<span>the_author_posts_link();</span></h3>
<div class="dropdown">
<p class="description">پیوندی به صفحه ی نمایش نوشته های های نویسنده نمایش می دهد. متن پیوند گزینه ای است که کاربر برای نمایش عمومی نام انتخاب کرده. محتوای موجود در صفحه ی نویسنده می تواند با ویرایش فایل های پوسته می تواند تغییر داده شود. این تابع باید درون حلقه استفاده شود.</p>
<p class="code">&lt;?php&nbsp;the_author_posts_link();&nbsp;?></p> 
<div class="parameter">
<p>این تابع پارامتری ندارد.</p>
</div>
</div>
<h3 class="click">WP Dropdown Users<span>wp_dropdown_users();</span></h3>
<div class="dropdown">
<p class="description">یک لیست افتادنی (DropDown) شامل نویسنده های وب سایت.</p>
<p class="code">&lt;?php wp_dropdown_users($args);&nbsp;?></p> 
<div class="parameter">
<h3>show_option_all</h3>
<h4>نوع: رشته</h4>
<p>متن گزینه اتنخاب همه کاربران.</p>
<hr />
</div>
<div class="parameter">
<h3>show_option_none</h3>
<h4>نوع: رشته</h4>
<p>متن گزینه اتنخاب هیچ یک از کاربران.</p>
<hr />
</div>
<div class="parameter">
<h3>orderby</h3>
<h4>نوع: رشته</h4>
<p>معیار مرتب سازی گزینه های لیست. مقادیر معتبر:</p>
<ul>
<li>'ID'</li>
<li>'user_nicename'</li>
<li>'display_name' - پیش فرض</li>
</ul>
<hr />
</div>
<div class="parameter">
<h3>order</h3>
<h4>نوع: رشته</h4>
<p>ترتیب مرتب سازی گزینه های لیست. مقادیر معتبر:</p>
<ul>
<li>'ASC' (سعودی - پیش فرض)</li>
<li>'DESC' (نزولی)</li>
</ul>
<hr />
</div>
<div class="parameter">
<h3>include</h3>
<h4>نوع: رشته</h4>
<p>آیدی کاربران جهت قرارگرفتن در لیست که باید با کاما (,) از یکدیگر جدا شوند. مثلا <span dir="ltr" style="font-family:tahoma;">'include=4,12'</span> به این معناست که لیستی شامل کاربرانی با آیدی های 4 و 12 نمایش داده شود. به صورت پیش فرض تمامی کاربران در لیست قرار خواهند گرفت.</p>
<hr />
</div>
<div class="parameter">
<h3>exclude</h3>
<h4>نوع: رشته</h4>
<p>آیدی کاربران جهت چشم پوشی از قرار دادن در لیست که باید با کاما (,) از یکدیگر جدا شوند. مثلا <span dir="ltr" style="font-family:tahoma;">'exclude=4,12'</span> به معنای عدم قرار دادن کاربرانی با آیدی های 4 و 12 در لیست می باشد. به صورت پیش فرض از هیچ کاربری چشم پوشی نخواهد شد و تمامی کاربران در لیست قرار می گیرند.</p>
<hr />
</div>
<div class="parameter">
<h3>multi</h3>
<h4>نوع: بولی</h4>
<p>تعیین نادیده گرفتن خصوصه ی ID در عنصر select. مقدار پیش فرض، False می باشد.</p>
<hr />
</div>
<div class="parameter">
<h3>show</h3>
<h4>نوع: رشته</h4>
<p>عنوان ستون کاربر در پایگاه داده جهت نمایش (تعیین نمایش کاربران بر اساس مشخصه مورد نظر). اگر عنوان انخاب شده برای یک کاربر خالی باشد، user_login نمایش داده خواهد شد.</p>
<ul>
<li>'ID'</li>
<li>'user_login'</li>
<li>'display_name' - پیش فرض</li>
</ul>
<hr />
</div>
<div class="parameter">
<h3>selected</h3>
<h4>نوع: عدد صحیح</h4>
<p>آیدی کاربری که به صورت پیش فرض انتخاب شده است. در حالت پیش فرض کاربری انتخاب نمی شود.</p>
<hr />
</div>
<div class="parameter">
<h3>name</h3>
<h4>نوع: رشته</h4>
<p>نام اختصاص یافته به لیست. مقدار پیش فرض 'user' می باشد.</p>
<hr />
</div>
<div class="parameter">
<h3>class</h3>
<h4>نوع: رشته</h4>
<p>اگر مایلید می توانید با مقداردهی این پارامتر یک کلاس به لیست اختصاص دهید.</p>
</div>
</div>
<h3 class="click">WP List Authors<span>wp_list_authors();</span></h3>
<div class="dropdown">
<p class="description">نمایش لیستی از کاربران وب سایت.</p>
<p class="code">&lt;?php wp_list_authors($args);&nbsp;?></p> 
<div class="parameter">
<h3>optioncount</h3>
<h4>نوع: بولی</h4>
<p>نمایش تعداد نوشته های هر کاربر. مقدار پیش فرض: False.</p>
<hr />
</div>
<div class="parameter">
<h3>exclude_admin</h3>
<h4>نوع: بولی</h4>
<p>مستثنا کردن حساب کاربری مدیر (admin وارد شده است) از لیست کاربران نمایش داده شده. مقدار پیش فرض: True.</p>
<hr />
</div>
<div class="parameter">
<h3>show_fullname</h3>
<h4>نوع: بولی</h4>
<p>نمایش کامل نام (نام و نام خانوادگی) نویسندگان. اگر False باشد، گزینه ای است که کاربر برای نمایش عمومی نام انتخاب کرده. مقدار پیش فرض: False.</p>
<hr />
</div>
<div class="parameter">
<h3>hide_empty</h3>
<h4>نوع: بولی</h4>
<p>عدم نمایش کاربرانی که نوشته ای ندارند. مقدار پیش فرض: True.</p>
<hr />
</div>
<div class="parameter">
<h3>echo</h3>
<h4>نوع: بولی</h4>
<p>نمایش نتایج. مقدار پیش فرض: True.</p>
<hr />
</div>
<div class="parameter">
<h3>feed</h3>
<h4>نوع: رشته</h4>
<p>متن پیوند به فید آر اس اس هر نویسنده. این مقدار به صورت پیش فرض خالی است و فیدی نمایش داده نخواهد شد.</p>
<hr />
</div>
<div class="parameter">
<h3>feed_image</h3>
<h4>نوع: رشته</h4>
<p>مسیر/نام فایل تصویر. در صورت استفاده، عکس به فید آر اس اس هر کاربر پیوند خواهد خورد و پارامتر feed نادیده گرفته خواهد شد.</p>
<hr />
</div>
<div class="parameter">
<h3>style</h3>
<h4>نوع: رشته</h4>
<p>قالب بندی لیست نویسنده ها. گزینه list, که گزینه پیش فرض نیز می باشد، نویسنده ها را در یک لیست بدون ترتیب(unordered list) نمایش می دهد. در حالی که استفاده از گزینه none محتوا (لیست نویسندگان) را قالب بندی نمی کند و نام هر نویسنده با کاما (,) جدا می شوند. اگر مقدار گزینه html برابر false باشد این تنظیم نادیده گرفته خواهد شد. این گزینه در نسخه 2,8 افزوده شد. مقادیر معتبر:</p>
<ul>
<li>list - پیش فرض</li>
<li>none</li>
</ul>
<hr />
</div>
<div class="parameter">
<h3>html</h3>
<h4>نوع: بولی</h4>
<p>تنظیم قالب بندی یا عدم قالب بندی (متن ساده) خروجی تابع. اگر مقدار پارامتر html برابر false باشد، پارامتر style نادیده خواهد شد و نتایج خروجی با کاما (,) از یکدیگر جدا می گردند. این گزینه در وردپرس 2,8 افزوده شد. مفدار پیش فرض: true</p>
</div>
</div>
</div>
<?php include("footer.php"); ?>
</body>
</html>