<?php include("header.php"); ?>
<div class="content">
<div class="introduction">
<h1>وردپرس نسخه 3,0+<span>مرجع توابع مورد استفاده در کد نویسی پوسته</span></h1>
</div>  
<h2>توابع مدیریت پیوندها</h2>
<h3 class="click">Get Bookmark<span>get_bookmark();</span></h3>
<div class="dropdown">
<p class="description">فراخوانی اطلاعات پیوند بر اساس آیدی آن.</p>
<p class="code">&lt;?php&nbsp;get_bookmark($bookmark,&nbsp;$output,&nbsp;$filter);&nbsp;?></p>
<div class="parameter">
<h3>$bookmark</h3>
<h4>عدد صحیح</h4>
<p>آیدی پیوند.</p>
<hr />
</div>
<div class="parameter">
<h3>$output</h3>
<h4>رشته</h4>
<p>(اختیاری) خروجی به صورت OBJECT، ARRAY_N، یا ثابت ARRAY_A باشد. مقدار پیش فرض: OBJECT.</p>
<hr />
</div>
<div class="parameter">
<h3>$filter</h3>
<h4>رشته</h4>
<p>(اختیاری) مقدار پیش فرض: 'raw'</p>
</div>
</div>
<h3 class="click">Get Bookmarks<span>get_bookmarks();</span></h3>
<div class="dropdown">
<p class="description">این تابع یک آرایه از پیوندهای سایت را بر می گرداند. این تابع به کاربر اجازه فراخوانی مستقیم اطلاعات پیوند را می دهد.</p>
<p class="code">&lt;?php&nbsp;get_bookmarks($args);&nbsp;?></p>
<div class="parameter">
<h3>$args</h3>
<h4>آرایه</h4>
<p>پیش فرض:</p>
<table dir="ltr">
<tr>
<td>&lt;?php $args = array(</td>
</tr>
<tr>
<td>'orderby'</td>
<td>=></td>
<td>'name',</td>
</tr>
<tr>
<td>'order'</td>
<td>=></td>
<td>'ASC',</td>
</tr>
<tr>
<td>'limit'</td>
<td>=></td>
<td>-1,</td>
</tr>
<tr>
<td>'category'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'category_name'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'hide_invisible'</td>
<td>=></td>
<td>1,</td>
</tr>
<tr>
<td>'show_updated'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'include'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'exclude'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'search'</td>
<td>=></td>
</tr>
<tr>
<td>);</td>
</tr>
<tr>
<td>?></td>
</tr>
</table>
<p>به صورت پیش فرض، نتایج زیر حاصل می شوند:</p>
<ul>
<li>تمامی پیوندها بر اساس نامشان به صورت سعودی مرتب می شوند.</li>
<li>پیوند های خصوصی برگردانده نمی شوند.</li>
<li>فیلد link_updated_f (زمان به روز رسانی پیوند) برگردانده نمی شود.</li>
</ul>
<hr />
</div>
<div class="parameter">
<h3>orderby</h3>
<h4>رشته</h4>
<p>خصوصیتی که پیوندها باید براساس آن مرتب شوند. مقدار پیش فرض 'name' می باشد مگر اینکه مقدار '' (خالی) را به تابع بفرستید. در این صورت پیوندها بر اساس آیدی مرتب خواهند شد. مقادیر معتبر عبارتند از:</p>
<ul>
<li>'id'</li>
<li>'url'</li>
<li>'name' - پیش فرض</li>
<li>'target'</li>
<li>'description'</li>
<li>'owner' - کاربری که پیوند را افزوده است.</li>
<li>'rating'</li>
<li>'updated'</li>
<li>'rel' - اگر این پیوند به یک شخص است و شما رابطه خود را با ایشان مشخص کرده اید (XFN).</li>
<li>'notes'</li>
<li>'rss'</li>
<li>'length' - طول نام پیوند، از کوتاه ترین به بلند ترین.</li>
<li>'rand' - نمایش پیوندها در ترتیب تصادفی.</li>
</ul>
<hr />
</div>
<div class="parameter">
<h3>order</h3>
<h4>رشته</h4>
<p>حالت مرتب سازی، صعودی یا نزونلی. مقادیر معتبر:</p>
<ul>
<li>ASC - پیش فرض</li>
<li>DESC</li>
</ul>
<hr />
</div>
<div class="parameter">
<h3>limit</h3>
<h4>عدد صحیح</h4>
<p>حداکثر تعداد پیوندها برای نمایش. مقدار پیش فرض -1 است(نمایش همه پیوندها).</p>
<hr />
</div>
<div class="parameter">
<h3>category</h3>
<h4>رشته</h4>
<p>لیست آیدی دسته های پیوند ها (جدا شده با کاما).</p>
<hr />
</div>
<div class="parameter">
<h3>category_name</h3>
<h4>رشته</h4>
<p>نام دسته پیوند مورد نظر جهت فراخوانی پیوندها. مقدار پارامتر category را باطل می کند.</p>
<hr />
</div>
<div class="parameter">
<h3>hide_invisible</h3>
<h4>بولی</h4>
<p>TRUE باعث می شود تنها پیوندهایی که link_visible آن ها برابر 'Y' هست فراخوانی شود (پیوند هایی که خصوصی نیستند).</p>
<ul>
<li>1 (True) - پیش فرض</li>
<li>0 (False)</li>
</ul>
<hr />
</div>
<div class="parameter">
<h3>show_updated</h3>
<h4>بولی</h4>
<p>TRUE باعث درج یک ستون اضافه در نتایج با نام "link_category_f" و محتوای یکسان با "link_updated" می گردد. اما با ساختار زمانی یونیکس. برای استفاده توابع پی اچ پی با از این داده ها مفید است.</p>
<ul>
<li>1 (True)</li>
<li>0 (False) - پیش فرض</li>
</ul>
<hr />
</div>
<div class="parameter">
<h3>include</h3>
<h4>رشته</h4>
<p>آیدی پیوندهایی که مایلید خروجی شامل آن ها باشد. مثلا، <span dir="ltr">'include=1,3,6'</span> به معنای برگرداندن یا نمایش پیوندهایی با آیدی های 1 و 3 و 6 می باشد. اگر از دستور include استفاده شود، پارامترهای category، category_name، و exclude نادیده گرفته می شوند. به صورت پیش فرض تمامی پیوند ها نمایش داده می شوند.</p>
<hr />
</div>
<div class="parameter">
<h3>exclude</h3>
<h4>رشته</h4>
<p>آیدی پیوندهایی که مایلید خروجی شامل آن ها نباشد. مثلا، <span dir="ltr">'exclude=4,12'</span> به معنای این است که پیوندهایی با آیدی 4 و 12 در خروجی برگردانده یا نمایش داده نمی شوند. به صورت پیش فرض تمامی پیوندها نمایش داده می شوند.</p>
<hr />
</div>
<div class="parameter">
<h3>search</h3>
<h4>رشته</h4>
<p>link_url، link_name یا link_description را همانند متن جستجو، جستجو می کند.</p>
</div>
</div>
<h3 class="click">WP List Bookmarks<span>wp_list_bookmarks();</span></h3>
<div class="dropdown">
<p class="description">پیوندهای سایت را نمایش می دهد. این تابع به کاربر اجازه می دهد چگونگی مرتب سازی و نمایش پیوندها را تعیین کند. نکته: از تابع <span dir="ltr">wp_list_bookmarks()</span> به جای توابع منسوخ شده ی <span dir="ltr">get_links_list()</span> و <span dir="ltr">get_links()</span> استفاده کنید.</p>
<p class="code">&lt;?php&nbsp;wp_list_bookmarks($args);&nbsp;?></p>
<div class="parameter">
<h3>$args</h3>
<h4>Array</h4>
<p>مقادیر پیش فرض:</p>
<table dir="ltr">
<tr>
<td>&lt;?php $args = array(</td>
</tr>
<tr>
<td>'orderby'</td>
<td>=></td>
<td>'name',</td>
</tr>
<tr>
<td>'order'</td>
<td>=></td>
<td>'ASC',</td>
</tr>
<tr>
<td>'limit'</td>
<td>=></td>
<td>-1,</td>
</tr>
<tr>
<td>'category'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'exclude_category'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'category_name'</td>
<td>=></td>
<td>,</td>
</tr>
<tr>
<td>'hide_invisible'</td>
<td>=></td>
<td>1,</td>
</tr>
<tr>
<td>'show_updated'</td>
<td>=></td>
<td>0,</td>
</tr>
<tr>
<td>'echo'</td>
<td>=></td>
<td>1,</td>
</tr>
<tr>
<td>'categorize'</td>
<td>=></td>
<td>1,</td>
</tr>
<tr>
<td>'title_li'</td>
<td>=></td>
<td>__('Bookmarks'),</td>
</tr>
<tr>
<td>'title_before'</td>
<td>=></td>
<td>'&lt;h2>',</td>
</tr>
<tr>
<td>'title_after'</td>
<td>=></td>
<td>'&lt;/h2>',</td>
</tr>
<tr>
<td>'category_orderby'</td>
<td>=></td>
<td>'name',</td>
</tr>
<tr>
<td>'category_order'</td>
<td>=></td>
<td>'ASC',</td>
</tr>
<tr>
<td>'class'</td>
<td>=></td>
<td>'linkcat',</td>
</tr>
<tr>
<td>'category_before'</td>
<td>=></td>
<td>'$lt;li id=%id class=%class>',</td>
</tr>
<tr>
<td>'category_after'</td>
<td>=></td>
<td>'&lt;/li>'</td>
</tr>
<tr>
<td>);</td>
</tr>
<tr>
<td>?></td>
</tr>
</table>
<p>به صورت پیش فرض خروجی تابع به قرار زیر خواهد شود:</p>
<ul>
<li>پیوندها براساس دسته هایشان تقسیم می شوند و نام هر دسته سرتیتر آن خواهد بود</li>
<li>تمامی پیوندها بدون در نظر گرفتن نام دسته یا آیدی دسته نمایش خواهند یافت</li>
<li>لیست براساس نام مرتب می شود</li>
<li>یک عکس اگر وجودداشته باشد</li>
<li>فاصله بین عکس و متن</li>
<li>نمایش توضیحات پیوند</li>
<li>عدم نمایش نمره پیوند</li>
<li>تا موقعی که محدودیتی تعیین نشده باشد تمامی پیوندها نمایش می یابند</li>
<li>پیوندها نمایش می یابند</li>
</ul>
<hr />
</div>
<div class="parameter">
<h3>$output</h3>
<h4>رشته</h4>
<p>(اختیاری) خروجی به صورت OBJECT، ARRAY_N، یا ثابت ARRAY_A باشد. مقدار پیش فرض: OBJECT.</p>
<hr />
</div>
<div class="parameter">
<h3>$filter</h3>
<h4>رشته</h4>
<p>(اختیاری) مقدار پیش فرض: 'raw'</p>
<hr />
</div>
<div class="parameter">
<h3>categorize</h3>
<h4>بولی</h4>
<p>پیوندها باید دسته بندی شوند یا خیر.</p>
<ul>
<li>1 (True) - پیش فرض</li>
<li>0 (False)</li>
</ul>
<hr />
</div>
<div class="parameter">
<h3>category</h3>
<h4>رشته</h4>
<p>آیدی پیوندهایی که باید نمایش یابند. اگر وارد نشود، تمامی پیوندها نمایش می یابند (پیش فرض).</p>
<hr />
</div>
<div class="parameter">
<h3>exclude_category</h3>
<h4>رشته</h4>
<p>آیدی پیوندهایی که نباید نمایش یابند. اگر وارد نشود، تمامی پیوندها نمایش می یابند (پیش فرض).</p>
<hr />
</div>
<div class="parameter">
<h3>category_name</h3>
<h4>رشته</h4>
<p>نام دسته ای که پیوندهایش باید نمایش یابد. اگر مشخص نشود تمامی دسته ها به همراه پیوندهایشان نمایش داده خواهند شد (به صورت پیش فرض تمامی دسه ها).</p>
<hr />
</div>
<div class="parameter">
<h3>category_before</h3>
<h4>رشته</h4>
<p>متن مورد نظر جهت قراردادن پیش از هر دسته. مقدار پیش فرض <span dir="ltr">'&lt;li id="[category id]" class="linkcat">'</span> می باشد.</p>
<hr />
</div>
<div class="parameter">
<h3>category_after</h3>
<h4>رشته</h4>
<p>متن مورد نظر جهت قراردادن پیش از هر دسته. مقدار پیش فرض <span dir="ltr">'&lt;/li>'</span> می باشد.</p>
<hr />
</div>
<div class="parameter">
<h3>class</h3>
<h4>رشته</h4>
<p>کلاسی که به هر آیتم از لیست دسته ها نسبت داده می شود. مقدار پیش فرض 'linkcat' می باشد. (این پارامتر در نسخه 2,2 اضافه شد)</p>
<hr />
</div>
<div class="parameter">
<h3>category_orderby</h3>
<h4>رشته</h4>
<p>مشخصه ای که دسته ها بر اساس آن مرتب می شوند. مقادیر معتبر:</p>
<ul>
<li>'name' - پیش فرض</li>
<li>'id'</li>
<li>'slug'</li>
<li>'count'</li>
<li>'term_group' (تا کنون استفاده نشده است)</li>
</ul>
<hr />
</div>
<div class="parameter">
<h3>category_order</h3>
<h4>رشته</h4>
<p>ترتیب مرتب سازی پارامتر category_orderby. مقادیر معتبر:</p>
<ul>
<li>ASC - پیش فرض</li>
<li>DESC</li>
</ul>
<hr />
</div>
<div class="parameter">
<h3>title_li</h3>
<h4>رشته</h4>
<p>متن سرتیتر لیست پیوندها. مقدار پیش فرض <span dir="ltr">'__('Bookmarks')'</span> می باشد که "پیوندها" را نمایش می دهد. (از __('') برای دادن امکان تغییر زبان در آینده استفاده شده است). تنها زمانی استفاده می شود که دسته بندی پیوندها روی 0 [false] قرار داشته باشد. (در غیر این صورت نام دسته ها استفاده خواهند شد). اگر 'title_li' روی <span dir="ltr">null (0)</span> تنظیم شده باشد، عنوانی نمایش داده نمی شود و لیست بین تگ های <span dir="ltr">&lt;ul>, &lt;/ul></span> قرار نخواهد گرفت (حتما باید دسته بندی را  0 [false] تنظیم کنید تا این قابلیت عمل کند).</p>
<hr />
</div>
<div class="parameter">
<h3>title_before</h3>
<h4>رشته</h4>
<p>متنی که باید پیش از توضیحات هر دسته قرار گیرد اگر 'categorize' برابر 1 [true] باشد، یا متنی که در "title_li" تعیین شده است اگر 'categorize' برابر 0 [false] باشد. مقدار پیش فرض <span dir="ltr">'&lt;h2>'</span> می باشد.</p>
<hr />
</div>
<div class="parameter">
<h3>title_after</h3>
<h4>رشته</h4>
<p>متنی که باید پس از توضیحات هر دسته قرار گیرد اگر 'categorize' برابر 1 [true] باشد، یا متنی که در "title_li" تعیین شده است اگر 'categorize' برابر 0 [false] باشد. مقدار پیش فرض <span dir="ltr">'&lt;/h2>'</span> می باشد.</p>
<hr />
</div>
<div class="parameter">
<h3>show_private</h3>
<h4>بولی</h4>
<p>آیا دسته های پیوندی که به عنوان خصوصی علامتگذاری شده اند هم باید نمایش یابند؟. برای نمایش دسته های خصوصی (True) و برای عدم نمایش آن ها (False) استفاده می شود. مقدار پیش فرض: False.</p>
<hr />
</div>
<div class="parameter">
<h3>include</h3>
<h4>رشته</h4>
<p>آیدی پیوندهایی که مایلید خروجی شامل آن ها باشد. مثلا، <span dir="ltr">'include=1,3,6'</span> به معنای برگرداندن یا نمایش پیوندهایی با آیدی های 1 و 3 و 6 می باشد. اگر از دستور include استفاده شود، پارامترهای category، category_name، و exclude نادیده گرفته می شوند. به صورت پیش فرض تمامی پیوند ها نمایش داده می شوند.</p>
<hr />
</div>
<div class="parameter">
<h3>exclude</h3>
<h4>رشته</h4>
<p>آیدی پیوندهایی که مایلید خروجی شامل آن ها نباشد. مثلا، <span dir="ltr">'exclude=4,12'</span> به معنای این است که پیوندهایی با آیدی 4 و 12 در خروجی برگردانده یا نمایش داده نمی شوند. به صورت پیش فرض تمامی پیوندها نمایش داده می شوند.</p>
<hr />
</div>
<div class="parameter">
<h3>orderby</h3>
<h4>رشته</h4>
<p>خصوصیتی که پیوندها باید براساس آن مرتب شوند. مقدار پیش فرض 'name' می باشد مگر اینکه مقدار '' (خالی) را به تابع بفرستید. در این صورت پیوندها بر اساس آیدی مرتب خواهند شد. مقادیر معتبر عبارتند از:</p>
<ul>
<li>'id'</li>
<li>'url'</li>
<li>'name' - پیش فرض</li>
<li>'target'</li>
<li>'description'</li>
<li>'owner' - کاربری که پیوند را افزوده است.</li>
<li>'rating'</li>
<li>'updated' تکته: فیلد link_updated تغییرات محلی را ردگیری نمی کند. زمانی ردگیری می کند که جایی که پیوند به آن اشاره دارد با درخواست های راه دور pingomatic به روز رسانی شود.</li>
<li>'rel' - اگر این پیوند به یک شخص است و شما رابطه خود را با ایشان مشخص کرده اید (XFN).</li>
<li>'notes'</li>
<li>'rss'</li>
<li>'length' - طول نام پیوند، از کوتاه ترین به بلند ترین.</li>
<li>'rand' - نمایش پیوندها در ترتیب تصادفی.</li>
</ul>
<hr />
</div>
<div class="parameter">
<h3>order</h3>
<h4>رشته</h4>
<p>حالت مرتب سازی پیوندها، صعودی یا نزونلی. مقادیر معتبر:</p>
<ul>
<li>ASC - پیش فرض</li>
<li>DESC</li>
</ul>
<hr />
</div>
<div class="parameter">
<h3>limit</h3>
<h4>عدد صحیح</h4>
<p>حداکثر تعداد پیوندها برای نمایش. مقدار پیش فرض -1 است(نمایش همه پیوندها).</p>
<hr />
</div>
<div class="parameter">
<h3>before</h3>
<h4>رشته</h4>
<p>متن مورد نظر جهت قراردادن پیش از هر پیوند. مقدار پیش فرض: <span dir="ltr">'&lt;li>'</span>.</p>
<hr />
</div>
<div class="parameter">
<h3>after</h3>
<h4>رشته</h4>
<p>متن مورد نظر جهت قراردادن پس از هر پیوند. مقدار پیش فرض: <span dir="ltr">'&lt;/li>'</span>.</p>
<hr />
</div>
<div class="parameter">
<h3>link_before</h3>
<h4>رشته</h4>
<p>متن جهت قراردادن پیش از عنوان هر پیوند (درون عنصر لینک). مقدار پیش فرض ندارد. (این پارامتر در نسخه 2,7 اضافه شد)</p>
<hr />
</div>
<div class="parameter">
<h3>link_after</h3>
<h4>رشته</h4>
<p>متن جهت قراردادن پس از عنوان هر پیوند (درون عنصر لینک). مقدار پیش فرض ندارد. (این پارامتر در نسخه 2,7 اضافه شد)</p>
<hr />
</div>
<div class="parameter">
<h3>between</h3>
<h4>رشته</h4>
<p>متن مورد نظر جهت قرارگرفتن بین تصویر پیوند و توضیحات آن. مقدار پیش فرض: <span dir="ltr">'\n'</span> (خط جدید).</p>
<hr />
</div>
<div class="parameter">
<h3>show_images</h3>
<h4>بولی</h4>
<p>آیا تصویر هر پیوند باید نمایش داده شود (True) یا خیر (False). مقدار پیش فرض: True.</p>
<hr />
</div>
<div class="parameter">
<h3>show_description</h3>
<h4>بولی</h4>
<p>نمایش (True) یا عدم نمایش (False) توضیحات پیوندها. وقتی show_images برابر False باشد یا عکسی تعیین نشده باشد. مقدار پیش فرض: False.</p>
<hr />
</div>
<div class="parameter">
<h3>show_name</h3>
<h4>بولی</h4>
<p>متن پیوند نمایش داده می شود (True). وقتی کار می کند که show_images هم True باشد. (این پارامتر در نسخه 2,7 افزوده شد) مقدار پیش فرض: False.</p>
<hr />
</div>
<div class="parameter">
<h3>show_rating</h3>
<h4>بولی</h4>
<p>نمایش (True) یا عدم نمایش (False) ستاره های نمره دادن. مقدار پیش فرض: False.</p>
<hr />
</div>
<div class="parameter">
<h3>show_updated</h3>
<h4>بولی</h4>
<p>نمایش (True) یا عدم نمایش (False) زمان آخرین به روز رسانی. تکته: فیلد link_updated تغییرات محلی را ردگیری نمی کند. زمانی ردگیری می کند که جایی که پیوند به آن اشاره دارد با درخواست های راه دور pingomatic به روز رسانی شود. مقدار پیش فرض: False.</p>
<hr />
</div>
<div class="parameter">
<h3>hide_invisible</h3>
<h4>بولی</h4>
<p>نمایش پیوند حتی در صورتی که یک پیوند مخفی باشد. مقدار پیش فرض: True.</p>
<hr />
</div>
<div class="parameter">
<h3>echo</h3>
<h4>بولی</h4>
<p>نمایش پیوندها (True) یا برگرداندن آن ها جهت استفاده در کد های پی اچ پی (False). مقدار پیش فرض: True.</p>
</div>
</div> 
 </div>
<?php include("footer.php"); ?>
</body>
</html>