<?php include("header.php"); ?>
<div class="content">
<div class="introduction">
<h1>وردپرس نسخه 3,0+<span>مرجع توابع مورد استفاده در کد نویسی پوسته</span></h1>
</div>
<h2>توابع پیوندهای یکتا</h2>
<h3 class="click">Get Permalink <span>get_permalink();</span></h3>
<div class="dropdown">
<p class="description">پیوند یکتای یک نوشته را جهت استفاده در کدهای پی اچ پی برمی گرداند. این تابع پیوند یکتا را نمایش نمی دهد و همچنین می تواند بیرون از حلقه نیز استفاده گردد. نکته: اگر این تابع خارج از حلقه و مثلا در یک صفحه شامل مطالب (صفحه اصلی، بایگانی و...) بدون پارامتر ID استفاده گردد، نشانی آخرین نوشته حلقه را برمی گرداند و نه نشانی خود آن صفحه را.</p>
<p class="code">&lt;?php&nbsp;$permalink&nbsp;=&nbsp;get_permalink($id);&nbsp;?></p>
<div class="parameter">
<h3>$id</h3>
<h4>عدد صحیح</h4>
<p>(اختیاری) آیدی یک نوشته. مقدار پیش فرض: آیدی نوشته فعلی، وقتی که در حلقه استفاده می شود.</p>
</div>
</div>
<h3 class="click">Get Post Permalink <span>get_post_permalink();</span></h3>
<div class="dropdown">
<p class="description">تابع <span dir="tr"> get_post_permalink </span> پیوند یکتای یک نوشته از نوع دلخواه (<span dir="tr">custom post type</span>) را بر می گرداند.</p>
<p class="code">&lt;?php&nbsp;get_post_permalink($id,&nbsp;$leavename,&nbsp;$sample);&nbsp;?></p>
<div class="parameter">
<h3>$id</h3>
<h4>عدد صحیح</h4>
<p>(اختیاری) آیدی نوشته. مقدار پیش فرض: 0</p>
<hr />
</div>
<div class="parameter">
<h3>$leavename</h3>
<h4>بولی</h4>
<p>(اختیاری) نگه داشتن نام نوشته. مقدار پیش فرض: False.</p>
<hr />
</div>
<div class="parameter">
<h3>$sample</h3>
<h4>بولی</h4>
<p>(اختیاری) این یک پیوند یکتای نمونه است. مقدار پیش فرض: False.</p>
</div>
</div>
<h3 class="click">Permalink Single RSS<span>permalink_single_rss();</span></h3>
<div class="dropdown">
<p class="description">پیوند یکتای نوشته فعلی را با ساختاری آماده شده برای فید ها مانند آر اس اس یا اتم نمایش می دهد. این تابع باید درون حلقه استفاده گردد.</p>
<p class="code">&lt;?php&nbsp;permalink_single_rss($file);&nbsp;?></p>
<div class="parameter">
<h3>$file</h3>
<h4>String</h4>
<p>(اختیاری) صفحه ای که پیوند باید به آن اشاره کند. مقدار پیش فرض: صفحه فعلی.</p>
</div>
</div>
<h3 class="click">Post Permalink<span>post_permalink();</span></h3>
<div class="dropdown">
<p class="description"> پیوند یکتای یک نوشته از نوع دلخواه (<span dir="tr">custom post type</span>) را بر می گرداند.</p>
<p class="code">&lt;?php&nbsp;post_permalink();&nbsp;?></p>
<div class="parameter">
<p>این تابع پارامتری ندارد.</p>
</div>
</div>
<h3 class="click">The Permalink<span>the_permalink();</span></h3>
<div class="dropdown">
<p class="description">نشانی پیوند یکتای نوشته ای که در حال پردازش شدن در حلقه است را نمایش می دهد. از تابع باید در حلقه استفاده شود و به طور معمول برای نمایش پیوند یکتای هر نوشته وقتی نوشته نمایش داده می شود استفاده می گردد. از آنجایی که این تابع تنها قادر به نمایش نوشته ی در حال پردازش شدن در حلقه می باشد، نمی توانید از آن برای نمایش پیوند یک نوشته دیگر وب سایتتان استفاده کند. اگر می خواهید با استفاده از آیدی یک نوشته، پیوند یکتای آن را نمایش دهید، از تابع <span dir="ltr">get_permalink()</span> استفاده کنید.</p>
<p class="code">&lt;?php&nbsp;the_permalink();&nbsp;?></p>
<div class="parameter">
<p>این تابع پارامتری ندرد.</p>
</div>
</div>
 </div>
<?php include("footer.php"); ?>
</body>
</html>